/*                                            
Language.cc
*/

#include "Language.h"

Language::Language (int aLANGUAGE) 
  {
  if (aLANGUAGE > MAX_LANG) LANGUAGE = LANG_DEFAULT;
  else LANGUAGE = aLANGUAGE;
  }

Language::Language (char *pcLANGUAGE) 
  {
  strncpy (stLANGUAGE, pcLANGUAGE, CMAXLONGLANGUAGE);
  xucase (stLANGUAGE);
  if      (strcmp (stLANGUAGE, "SPA") == 0)  LANGUAGE = LANG_SPANISH;
  else if (strcmp (stLANGUAGE, "ENG") == 0)  LANGUAGE = LANG_ENGLISH;
  else if (strcmp (stLANGUAGE, "CAT" ) == 0) LANGUAGE = LANG_CATALA;
  else if (strcmp (stLANGUAGE, "VAL" ) == 0) LANGUAGE = LANG_CATALA;
  else if (strcmp (stLANGUAGE, "EUS" ) == 0) LANGUAGE = LANG_EUSKERA;
  else LANGUAGE = LANG_DEFAULT;
  }
  
Language::~Language()
  {
  
  }
  
void Language::setLang (int aLANGUAGE)
  {              
  if (aLANGUAGE > MAX_LANG) LANGUAGE = LANG_DEFAULT;
  else LANGUAGE = aLANGUAGE;  
  }
  
int Language::getLang (void)
  {
  return LANGUAGE;
  }  

char *Language::getStLang (void)
  {
  return xlcase(xstrdup(stLANGUAGE));
  }
  
char *Language::get (int WHAT)
  {
  switch (LANGUAGE)
    {
    case LANG_ENGLISH: return getStringEnglish (WHAT); 
    case LANG_SPANISH: return getStringSpanish (WHAT); 
    case LANG_CATALA : return getStringCatala (WHAT); 
    case LANG_EUSKERA : return getStringEuskera (WHAT); 
    default: return getStringEnglish (WHAT); 
    }
  }
  
char *Language::getI (int WHAT)
  {
  switch (LANGUAGE)
    {
    case LANG_ENGLISH: return getImageEnglish (WHAT); 
    case LANG_SPANISH: return getImageSpanish (WHAT); 
    case LANG_CATALA : return getImageCatala (WHAT); 
    case LANG_EUSKERA : return getImageEuskera (WHAT); 
    default: return getImageEnglish (WHAT); 
    }
  }  

char *Language::getPage (int WHAT)
  {
  switch (LANGUAGE)
    {
    case LANG_ENGLISH: return getPageEnglish (WHAT); 
    case LANG_SPANISH: return getPageSpanish (WHAT); 
    case LANG_CATALA : return getPageCatala (WHAT); 
    case LANG_EUSKERA : return getPageEuskera (WHAT); 
    default: return getPageEnglish (WHAT); 
    }
  }

char *Language::getStringEnglish (int WHAT)
  {
  switch (WHAT)
    {
    case PREFIX_FORWARD:   return "(Fwd) ";
    case PREFIX_REPLY:     return "Re: ";

    case MSG_CONNREFUSED:       return "Connection refused!";
    case MSG_CANRECONNECTHERE:  return "Press here to reconnect."; 
    case MSG_SERVERISDOWN:      return "Server is down.";
    case MSG_PERHAPSTIMEOUT:    return "Perhaps a timeout?";
    case MSG_CONF_DELETEMAILBOX:return "Are you sure you want to delete this mailbox?";
    case MSG_CONF_EXPUNGE:      return "OK to expunge mailbox?";
    case MSG_CONF_LOGOUT:       return "OK to logout?";
    case MSG_SEND_OK:           return "Message sent OK.";
    case MSG_ERR_SAVE_SENTMAIL: return "Message sent OK but error saving in sent-mail mailbox. Perhaps Quota exceded?";    
    case MSG_SEND_ERR:          return "Problems sending message. Message not sent!";
    case MSG_CANCELMSG:         return "Send message CANCELLED!";
    case MSG_SHOWOPTIONS:       return "Editing options";
    case MSG_SAVEOPTIONS:       return "Options SAVED!";
    case MSG_CANCELOPTIONS:     return "Saving Options CANCELLED!";
    case MSG_ERR_SAVEOPTIONS:   return "ERROR saving Options!";
    case MSG_ADDBOOK:           return "Browsing Addressbook";
    case MSG_SAVEADDBOOK:       return "Addressbook SAVED!";
    case MSG_ERR_SAVEADDBOOK:   return "ERROR saving Addressbook!";
    case MSG_MSGSPURGED_0:      return "No message PURGED.";    
    case MSG_MSGSPURGED:        return "%d message PURGED!";
    case MSG_MSGSPURGED_S:      return "%d messages PURGED!";    
    case MSG_MAILBOXCHANGED:    return "Mailbox Changed!";
    case MSG_MAILBOXCREATED:    return "New Mailbox Created!";
    case MSG_MAILBOXDELETED:    return "Mailbox Deleted!";
    case MSG_MAILBOXRENAMED:    return "Mailbox name Changed!";
    case MSG_MOVEDMESSAGES:     return "%d message moved to '%s'.";
    case MSG_MOVEDMESSAGES_S:   return "%d messages moved to '%s'.";
    case MSG_COPYMESSAGES:      return "%d message copied to '%s'.";
    case MSG_COPYMESSAGES_S:    return "%d messages copied to '%s'.";
    case MSG_INVALIDPAGE:       return "Invalid operation. Please refresh the Index screen.";
    case MSG_SHOWATTACHS:       return "Editing attachments";
    case MSG_SAVEATTACHS:       return "Attachments SAVED!";
    case MSG_ERASEATTACHS:      return "Selected attachments deleted!";
    case MSG_ERR_SAVEATTACHS:   return "ERROR saving Attachments!";
    case MSG_AB_EDITENTRY:      return "Editing entry";
    case MSG_AB_SAVEENTRY:      return "Entry SAVED!";
    case MSG_AB_DELEENTRY:      return "Entries DELETED!";
    case MSG_AB_ADDTO:          return "Addresses Added to TO field of composed message";
    case MSG_AB_ADDCC:          return "Addresses Added to CC field of composed message";
    case MSG_AB_ADDBCC:         return "Addresses Added to BCC field of composed message";
    case MSG_NO_ENTRIES_MARKED: return "No selected entries. NO action done!";
    case MSG_FLAGS_CHANGED:     return "%d message marked as %s.";
    case MSG_FLAGS_CHANGED_S:   return "%d messages marked as %s.";
    case MSG_FIELD_TO_EMPTY:    return "Field 'To' is empty.";
    case MSG_FIELD_SUBJ_EMPTY:  return "Field 'Subject' is empty.";
    case MSG_COMPOSE_TIMEOUT:   return "WARNING: Use the 'Save' button from time to time. If you leave it longer than than 20 minutes, you will lose what you have written!";
    case MSG_TOO_MAX_CONN:      return "Sorry. Too many simultaneous users. Please try later.";
    case MSG_TOO_MAX_TRY_CONN:  return "Sorry. You have repeatedly pressed the button.";
    case MSG_ADDRESS_LINE_CUT:  return "WARNING: Reached Max line length. Can't add all of the addresses.";
    case MSG_MIN_TIMEBETWCONNS: return "Connection retried before min time. Please press \"Login\" button only once.";
    case MSG_ERR_RELOAD_ATTACHS:return "Incorrect number of attachments. Perhaps you have tried to send one attachment already sent.";
    case MSG_NOATTACHSERASED:   return "NO DELETED ATTACHMENTS!";
    case MSG_NOATTACHSSAVED:    return "NO SAVED ATTACHMENTS!";
    case MSG_NO_ELEMENTS:       return "No elements.";
    case MSG_BADCOOKIE:         return "Security problem! Access logged.";
    case MSG_DEBUG:             return "Debug Page";
    case MSG_MALFORMED_MESSAGE: return "<FONT color=\"#FF0000\"><BLINK>[ Empty message possibly malformed. Use \"Download message\" to see raw text. ]</BLINK></FONT>";
    case MSG_MSGSFOUND_0:       return "No message FOUND.";    
    case MSG_MSGSFOUND:         return "%d message FOUND.";
    case MSG_MSGSFOUND_S:       return "%d messages FOUND.";    
    case MSG_MSGS_SORTED:       return "Messages sorted!";
    case MSG_GO_TO_DISABLED:    return "WARNING: Your Postman session will end in 5 minutes unless you send the message or click the 'Save' button to save your text and continue writing.";
    case MSG_AB_ADDFIELDS:      return "Addresses added to fields of composed message: %d.";

    case L_USER:           return "User";
    case L_PASSWORD:       return "Password";
    case L_LOGIN:          return "Login";
    case L_CLEAR:          return "Clear";
    case L_LOGOUT:         return "Logout";
    case L_INDEXMAILBOX:   return "<B>Mailbox '%s' with %ld messages.</B>";
    case L_INDEXMAILBOX2:  return "Mailbox index";
    case L_INDEXMAILBOX3:  return "<B>Mailbox '%s' with %ld messages (%s).</B>";
    case L_INDEXMAILBOX4:  return "<B>Current mailbox: '%s' (%ld messages).</B>";    
    case L_CHOOSELANGUAGE: return "Elige idioma/Tria llenguatge/Choose language";
    case L_COPYRIGHT:      return "&copy;<A HREF=\"http://www.uv.es\">Universitat de Val&egrave;ncia</A>, 2000";
    case L_MESSAGES:       return "messages";
    case L_NEXTPAGE_ACT:   return "Next Page";
    case L_NEXTPAGE_INA:   return "Next Page";
    case L_PREVPAGE_ACT:   return "Previous Page";
    case L_PREVPAGE_INA:   return "Previous Page";
    case L_FIRSTPAGE_ACT:  return "First Page";
    case L_FIRSTPAGE_INA:  return "First Page";
    case L_LASTPAGE_ACT:   return "Last Page";
    case L_LASTPAGE_INA:   return "Last Page";
    case L_MESSAGE:        return "<B>Message %ld/%ld (%s).</B>";
    case L_MESSAGE2:       return "Browsing message:";
    case L_DUMPFULLMSG:    return "Download message";
    case L_NOSUBJECT:      return "(No subject)";
    case L_NEXTMSG:        return "Next message";
    case L_PREVMSG:        return "Previous message";
    case L_NEXTMSG_INA:    return "Next message";
    case L_PREVMSG_INA:    return "Previous message";
    case L_ERROR:          return "Error";
    case L_STRUCTMIME:     return "MIME structure of the message (attachments):";
    case L_EXECUTE:        return "Execute";
    case L_DELETEMSG:      return "Deleted";
    case L_EXPUNGE:        return "Expunge";
    case L_UNDELETEMSG:    return "Undeleted";
    case L_HELP:           return "Help";
    case L_COMPOSEMSG:     return "Compose";
    case L_MAILBOXES:      return "Mailboxes";
    case L_CHANGEMAILBOX:  return "Open mailbox";
    case L_CREATEMAILBOX:  return "Create mailbox";
    case L_DELETEMAILBOX:  return "Delete mailbox";
    case L_RENAMEMAILBOX:  return "Rename mailbox";
    case L_ANSWEREDMSG:    return "Answered";    
    case L_UNANSWEREDMSG:  return "Unanswered";    
    case L_FLAGGEDMSG:     return "Important";    
    case L_UNFLAGGEDMSG:   return "NOT important";    
    case L_SEENMSG:        return "NOT new";    
    case L_UNSEENMSG:      return "New";    
    case L_MOVEMSG:        return "Move messages to";
    case L_COPYMSG:        return "Copy messages to";
    case L_CANCEL:         return "Cancel";
    case L_CONFIRM:        return "Confirm";
    case L_TO:             return "To: ";
    case L_CC:             return "CC: ";
    case L_BCC:            return "BCC: ";
    case L_TO0:            return "To";
    case L_CC0:            return "Cc";
    case L_BCC0:           return "Bcc";    
    case L_SUBJECT:        return "Subject: ";
    case L_TEXTTOSEND:     return "Text to send:";
    case L_CANCELMSG:      return "Cancel";
    case L_SENDMSG:        return "Send";
    case L_ATTACHMSG:      return "Attachments";
    case L_REPLYMSG:       return "Reply";
    case L_FORWARDMSG:     return "Forward";
    case L_FROM:           return "From: ";
    case L_DATE:           return "Date: ";
    case L_REPLYTO:        return "Reply-to: ";
    case L_SIGNATURE:      return "Signature";
    case L_SHOWOPTIONS:    return "Options";
    case L_ADDBOOK:        return "Addressbook";
    case L_SAVE:           return "Save";
    case L_MSGSPERINDEXPAGE:return "Number of messages shown per Index Page: ";
    case L_INSIGNINNEWMSG: return "Sign new messages";
    case L_ATTACHSHOWED:   return "Attachment shown below";
    case L_PERSONALNAME:   return "Full personal name: ";
    case L_NOFROM:         return "(No from)";
    case L_SAVEMSGSENTMAIL:return "Save sent messages in folder &nbsp;";
    case L_ATTACH_NEW:     return "Attach another file";
    case L_FILE:           return "File";
    case L_NO_ATTACHS:     return "(No attachments)";
    case L_DOATTACH:       return "Attach!";
    case L_DETACH:         return "Detach";
    case L_AB_NICKNAME:    return "Nickname";
    case L_AB_FULLNAME:    return "Full name";
    case L_AB_ADDRESSES:   return "Addresses";
    case L_AB_FCC:         return "Fcc";
    case L_AB_COMMENTS:    return "Comments";
    case L_AB_EDITENTRY:   return "Edit entry";
    case L_AB_NEWENTRY:    return "Add new entry";
    case L_AB_NEWENTRY_S:  return "New";
    case L_DELETE:         return "Delete";
    case L_NUMOFENTRIES:   return "Number of entries";
    case L_BACK:           return "Back";
    case L_CLEANALL:       return "Clean all";
    case L_SAVEADDRESS:    return "Save Address";
    case L_NUMBER:         return "Num.:";
    case L_FLAGS:          return "Flags:";
    case L_SIZE:           return "Size:";
    case L_FLAG_DELETED:   return "Deleted";
    case L_FLAG_ANSWERED:  return "Answered";
    case L_FLAG_FLAGGED:   return "Important!";
    case L_FLAG_NEW:       return "New";
    case L_FLAG_UNSEEN:    return "New";
    case L_MARK:           return "Mark";
    case L_MSGS_AS:        return " messages as ";
    case L_PRESS_TO_INDEX: return "Return to the message index";
    case L_EDIT:           return "Edit";
    case L_SORT:           return "Sort";
    case L_MSGS_SHOWN:     return "<B> Shown %ld to %ld.</B>";
    case L_LEX_TO:         return " to ";
    case L_DELNEXTMSG:     return "Delete";
    case L_UNDELNEXTMSG:   return "Undelete";
    case L_ABOUT:          return "About";  
    case L_REPLYFROM:      return "Reply to 'From:' and not to 'Reply-to:'.";
    case L_FORWATTACHS:    return "Include attachments in Forward.";
    case L_SIZEWRITEAREA:  return "Size (rows / columns) of the text area in compose message screen.";
    case L_NEXTMSGSHOWN:   return "The next message is shown.";
    case L_LASTMSGSHOWN:   return "Last message is shown.";
    case L_NUMATTACHSHOW:  return "<B>Attachment shown: %s</B>";
    case L_DOWNLOADMAILBOX:return "Download Full Mailbox";
    case L_EMPTY_IMAPSERVER:return "Empty IMAP server field!";
    case L_NOTALLOWED_IMAPSERVER: return "That IMAP server is not allowed!";
    case L_AB_DUMP:        return "Dump";
    case L_AB_DUMP_S:      return "Dump";
    case L_TRUNCATELENGTHREADINGMSG: return "Split reading message lines longer than ";
    case L_SKIN:           return "Skin";
    case L_SECURITYPROBLEM:return "Security problem";
    case L_REFRESH:        return "Refresh";
    case L_FLAG_SEARCHED:  return "Found in previous search";
    case L_SEARCH:         return "Search in";
    case L_REFRESHTIME:    return "Time in minutes to auto-refresh the index page (0 for no refresh):";
    case L_SEARCH_SUBJECT: return "Subject";
    case L_SEARCH_FROM:    return "From";
    case L_SEARCH_BODY:    return "Body";
    case L_SEARCH_ALL:     return "All";
    case L_CONFIRMPURGE:   return "Confirm Purge Mailbox";
    case L_CONFIRMLOGOUT:  return "Confirm Logout";
    case L_FLAG_UNDELETED: return "Undeleted";
    case L_FLAG_UNANSWERED:return "Unanswered";
    case L_FLAG_UNFLAGGED: return "No important!";
    case L_FLAG_UNNEW:     return "No New";
    case L_FLAG_SEEN:      return "Seen";
    case L_FLAG_UNSEARCHED:return "No found";                                  
    case L_SEARCHEDMSG:    return "1 message added to the list of found messages.";
    case L_UNSEARCHEDMSG:  return "1 message deleted from the list of found messages.";    
    case L_DUMPFULLHEADER: return "Download header";     
    case L_ADDADDRESS_TO:  return "Add selected entries to field 'TO'";
    case L_ADDADDRESS_CC:  return "Add selected entries to field 'CC'";
    case L_ADDADDRESS_BCC: return "Add selected entries to field 'BCC'";        
    case L_DELADDRESSES:   return "Delete selected entries";    
    case L_ADDADDRESS_FIELD: return "Add selected addresses to message";
    
    case TIT_COMPOSEMSG:   return "Composing a new message";
    case TIT_HOMEPAGE:     return "University of Valencia: Email Service";    
    case TIT_CONFIRMACTION:return "Confirm action";
    case TIT_INDEXMAILBOX: return "Mailbox index";
    case TIT_MAILBOXES:    return "Operating with mailboxes";
    case TIT_MESSAGEHEADER:return "Browsing message";
    case TIT_REPLYMSG:     return "Replying to message";
    case TIT_FORWARDMSG:   return "Forwarding message";
    case TIT_SHOWOPTIONS:  return "Editing your options";
    case TIT_ADDBOOK:      return "Browsing your Addressbook";
    case TIT_INVALIDPAGE:  return "Invalid page";
    case TIT_SHOWATTACHS:  return "Working with message attachments";
    case TIT_BADCOOKIE:    return "Security Problem!";
    case TIT_SHOWHEADERS:  return "Full headers"; 
 
    case ERR_INV_CMD:      return "Invalid command!";
    case ERR_INV_USER_PW:  return "Invalid User/Password";   
    case ERR_INV_MAILBOX:  return "Invalid mailbox: '%s'";
    case ERR_INV_PARMS:    return "They lack data in the form.";
    case ERR_OPENCONN:     return "Opening connection with server";
    case ERR_CREAT_USERDIR:return "Creating User directory";
    case ERR_CREAT_USERATTACHSDIR:return "Creating User Attachments Directory";
    case ERR_SENDING_MSG:  return "Sending message.";
    case ERR_AB_DELEENTRY: return "Deleting entry";
    case ERR_MAXSIZEATT:   return "The maximum size of attachments is %ld bytes";
    case ERR_UNHANDLESIZEATTACH: return "Attachment size is too big! Can't handle this attachment.";
    case ERR_QUOTA_USAGE:  return "MESSAGE: Quota usage is %s.";
    case ERR_SERVERISDOWN: return "Server is down.";
    case ERR_TESTUSER_ACTIONNOTALLOWED: return "That action is not allowed for TEST USER.";

    case ALT_LOGO:         return "Logo";
    case ALT_NEXTPAGE_ACT: return "Next&nbsp;Page";    
    case ALT_NEXTPAGE_INA: return "Next&nbsp;Page";    
    case ALT_PREVPAGE_ACT: return "Previous&nbsp;Page";    
    case ALT_PREVPAGE_INA: return "Previous&nbsp;Page";
    case ALT_FIRSTPAGE_ACT:return "First&nbsp;Page";
    case ALT_FIRSTPAGE_INA:return "First&nbsp;Page";
    case ALT_LASTPAGE_ACT: return "Last&nbsp;Page";
    case ALT_LASTPAGE_INA: return "Last&nbsp;Page";
    case ALT_DUMPFULLMSG:  return "Download&nbsp;message";
    case ALT_NEXTMSG:      return "Next&nbsp;message";
    case ALT_PREVMSG:      return "Previous&nbsp;message";
    case ALT_NEXTMSG_INA:  return "Next&nbsp;message";
    case ALT_PREVMSG_INA:  return "Previous&nbsp;message"; 
    case ALT_HELP:         return "Help";   
    case ALT_LOGOUT:       return "Logout";
    case ALT_EXPUNGE:      return "Expunge";
    case ALT_COMPOSEMSG:   return "Compose";
    case ALT_MAILBOXES:    return "Mailboxes";    
    case ALT_REPLYMSG:     return "Reply";
    case ALT_FORWARDMSG:   return "Forward";
    case ALT_SHOWOPTIONS:  return "Options";
    case ALT_ADDBOOK:      return "Addressbook";
    case ALT_BACK:         return "Back";
    case ALT_SAVEADDRESS:  return "Save&nbsp;Address";
    case ALT_SORT:         return "Sort";
    case ALT_AB_NEWENTRY:  return "New&nbsp;entry";
    case ALT_AB_NEWENTRY_S:return "New entry";
    case ALT_DELNEXTMSG:   return "Delete";
    case ALT_ABOUT:        return "About";      
    case ALT_UNDELNEXTMSG: return "Undelete";
    case ALT_AB_DUMP:      return "Dump&nbsp;addressbook";    
    case ALT_AB_DUMP_S:    return "Dump";
    case ALT_DUMPFULLHEADER: return "Download&nbsp;header";
    
    case FORWARDLINE:      return "---------- Forwarded message ----------";
    
    default:               return "No string";
    }                              
  }
                        
char *Language::getStringSpanish (int WHAT)
  {
  switch (WHAT)
    {
    case PREFIX_FORWARD:   return "(Fwd) ";
    case PREFIX_REPLY:     return "Re: ";

    case MSG_CONNREFUSED:       return "Conexi&oacute;n fallida!";
    case MSG_CANRECONNECTHERE:  return "Puedes reconectar pulsando aqu&iacute;."; 
    case MSG_SERVERISDOWN:      return "El servidor no responde.";
    case MSG_PERHAPSTIMEOUT:    return "Quiz&aacute;s se acab&oacute; el tiempo?";
    case MSG_CONF_DELETEMAILBOX:return "Vamos a borrar el buz&oacute;n. Est&aacute;s seguro?";
    case MSG_CONF_EXPUNGE:      return "Est&aacute;s seguro de querer purgar el buz&oacute;n?<BR>Esto borrar&aacute; definitivamente todos los mensajes marcados como borrados.";
    case MSG_CONF_LOGOUT:       return "Confirma la desconexi&oacute;n, por favor.";
    case MSG_SEND_OK:           return "Mensaje enviado correctamente.";
    case MSG_ERR_SAVE_SENTMAIL: return "Mensaje enviado correctamente pero NO se puede guardar el mensaje enviado. Quiz&aacute;s se ha acabado tu espacio en disco.";    
    case MSG_SEND_ERR:          return "Problemas enviando el mensaje. Mensaje no enviado.";
    case MSG_CANCELMSG:         return "Cancelado el env&iacute;o del mensaje!";
    case MSG_SHOWOPTIONS:       return "Modificando las opciones";
    case MSG_SAVEOPTIONS:       return "Opciones GUARDADAS!";
    case MSG_CANCELOPTIONS:     return "Cancelada la edici&oacute;n de las opciones!";
    case MSG_ERR_SAVEOPTIONS:   return "ERROR guardando las opciones!";
    case MSG_ADDBOOK:           return "Viendo la Agenda";
    case MSG_SAVEADDBOOK:       return "Agenda GUARDADA!";
    case MSG_ERR_SAVEADDBOOK:   return "ERROR guardando la Agenda!";
    case MSG_MSGSPURGED_0:      return "Ning&uacute;n mensaje borrado.";    
    case MSG_MSGSPURGED:        return "%d mensaje BORRADO!";
    case MSG_MSGSPURGED_S:      return "%d mensajes BORRADOS!";    
    case MSG_MAILBOXCHANGED:    return "Cambiado el buz&oacute;n!";
    case MSG_MAILBOXCREATED:    return "Creado un nuevo buz&oacute;n!";
    case MSG_MAILBOXDELETED:    return "Borrado el buz&oacute;n!";
    case MSG_MAILBOXRENAMED:    return "Renombrado el buz&oacute;n!";
    case MSG_MOVEDMESSAGES:     return "%d mensaje movido a '%s'.";
    case MSG_MOVEDMESSAGES_S:   return "%d mensajes movidos a '%s'.";
    case MSG_COPYMESSAGES:      return "%d mensaje copiado a '%s'.";
    case MSG_COPYMESSAGES_S:    return "%d mensajes copiados a '%s'.";    
    case MSG_INVALIDPAGE:       return "Operaci&oacute;n incorrecta. Por favor, actualizar el &Iacute;ndice.";
    case MSG_SHOWATTACHS:       return "Modificando los Adjuntos";
    case MSG_SAVEATTACHS:       return "Adjuntos GUARDADOS!";
    case MSG_ERASEATTACHS:      return "Adjuntos seleccionados borrados!";
    case MSG_ERR_SAVEATTACHS:   return "ERROR guardando los Adjuntos!";
    case MSG_AB_EDITENTRY:      return "Modificando la entrada";
    case MSG_AB_SAVEENTRY:      return "Entrada GUARDADA!";
    case MSG_AB_DELEENTRY:      return "Entradas BORRADAS!";
    case MSG_AB_ADDTO:          return "A&ntilde;adidas direcciones al campo TO en Componer Mensaje";
    case MSG_AB_ADDCC:          return "A&ntilde;adidas direcciones al campo CC en Componer Mensaje";
    case MSG_AB_ADDBCC:         return "A&ntilde;adidas direcciones al campo BCC en Componer Mensaje";
    case MSG_NO_ENTRIES_MARKED: return "No hab&iacute;a entradas seleccionadas. NO se ejecut&oacute; ninguna acci&oacute;n!";
    case MSG_FLAGS_CHANGED:     return "%d mensaje marcado como %s.";
    case MSG_FLAGS_CHANGED_S:   return "%d mensajes marcados como %ss.";
    case MSG_FIELD_TO_EMPTY:    return "El campo 'Para' est&aacute; vacio.";
    case MSG_FIELD_SUBJ_EMPTY:  return "El campo 'Asunto' est&aacute; vacio..";
    case MSG_COMPOSE_TIMEOUT:   return "IMPORTANTE: Usa el bot&oacute;n de 'Guardar' de vez en cuando. A los 20 minutos de inactividad se cierra la conexi&oacute;n sin avisar y puedes perder lo escrito!";
    case MSG_TOO_MAX_CONN:      return "Demasiadas conexiones. Int&eacute;ntalo m&aacute;s tarde.";
    case MSG_TOO_MAX_TRY_CONN:  return "Lo siento. Has pulsado el bot&oacute;n muchas veces.";
    case MSG_ADDRESS_LINE_CUT:  return "CUIDADO! Longitud m&aacute;xima de linea alcanzada. No se pudieron a&ntilde;adir todas las direcciones.";
    case MSG_MIN_TIMEBETWCONNS: return "Conexi&oacute;n reintentada demasiado pronto. Por favor pulse el bot&oacute;n \"Entrar\" s&oacute;lo una vez y espere.";
    case MSG_ERR_RELOAD_ATTACHS:return "N&uacute;mero incorrecto de adjuntos. Posiblemente has intentado reenviar un adjunto ya enviado.";
    case MSG_NOATTACHSERASED:   return "NING&Uacute;N ADJUNTO HA SIDO ELIMINADO!";
    case MSG_NOATTACHSSAVED:    return "NING&Uacute;N ADJUNTO HA SIDO GUARDADO!";
    case MSG_NO_ELEMENTS:       return "No hay elementos.";
    case MSG_BADCOOKIE:         return "Problema de seguridad! Acceso archivado.";
    case MSG_DEBUG:             return "Debug Page";
    case MSG_MALFORMED_MESSAGE: return "<FONT color=\"#FF0000\"><BLINK>[ Mensaje vac&iacute;o posiblemente malformado. Usa \"Descargar mensaje\" para verlo como texto. ]</BLINK></FONT>";
    case MSG_MSGSFOUND_0:       return "Ning&uacute;n mensaje ENCONTRADO.";    
    case MSG_MSGSFOUND:         return "%d mensaje ENCONTRADO.";
    case MSG_MSGSFOUND_S:       return "%d mensajes ENCONTRADOS.";    
    case MSG_MSGS_SORTED:       return "Mensajes ordenados!";
    case MSG_GO_TO_DISABLED:    return "CUIDADO: Faltan 5 minutos para desconectar la sesion. Usa el boton de 'Guardar' o puedes perder lo escrito!";
    case MSG_AB_ADDFIELDS:      return "Direcciones a&ntilde;adidas a los campos indicados: %d.";
        
    case L_USER:           return "Usuario";
    case L_PASSWORD:       return "Contrase&ntilde;a";
    case L_LOGIN:          return "Entrar";
    case L_CLEAR:          return "Limpiar";
    case L_LOGOUT:         return "Salir";
    case L_INDEXMAILBOX:   return "<B>Buz&oacute;n '%s' con %ld mensajes.</B>";
    case L_INDEXMAILBOX2:  return "&Iacute;ndice del buz&oacute;n";
    case L_INDEXMAILBOX3:  return "<B>Buz&oacute;n '%s' con %ld mensajes (%s).</B>";
    case L_INDEXMAILBOX4:  return "<B>Buz&oacute;n actual abierto: '%s' (%ld mensajes).</B>";    
    case L_CHOOSELANGUAGE: return "Elige idioma/Tria llenguatge/Choose language";
    case L_COPYRIGHT:      return "&copy;<A HREF=\"http://www.uv.es\">Universitat de Val&egrave;ncia</A>, 2000";
    case L_MESSAGES:       return "mensajes";
    case L_NEXTPAGE_ACT:   return "P&aacute;gina siguiente";
    case L_NEXTPAGE_INA:   return "P&aacute;gina siguiente";
    case L_PREVPAGE_ACT:   return "P&aacute;gina previa";
    case L_PREVPAGE_INA:   return "P&aacute;gina previa";
    case L_FIRSTPAGE_ACT:  return "P&aacute;gina Primera";
    case L_FIRSTPAGE_INA:  return "P&aacute;gina Primera";
    case L_LASTPAGE_ACT:   return "P&aacute;gina &Uacute;ltima";
    case L_LASTPAGE_INA:   return "P&aacute;gina &Uacute;ltima";
    case L_MESSAGE:        return "<B>Mensaje %ld/%ld (%s).</B>";
    case L_MESSAGE2:       return "Leyendo el mensaje:";
    case L_DUMPFULLMSG:    return "Descargar mensaje";
    case L_NOSUBJECT:      return "(Sin tema)";    
    case L_NEXTMSG:        return "Mensaje Siguiente";
    case L_PREVMSG:        return "Mensaje Anterior";
    case L_NEXTMSG_INA:    return "Mensaje Siguiente";
    case L_PREVMSG_INA:    return "Mensaje Anterior";
    case L_ERROR:          return "Error";
    case L_STRUCTMIME:     return "Estructura del mensaje y adjuntos:";    
    case L_EXECUTE:        return "Ejecutar";
    case L_DELETEMSG:      return "Borrado";
    case L_EXPUNGE:        return "Purgar";
    case L_UNDELETEMSG:    return "NO borrado";
    case L_HELP:           return "Ayuda";
    case L_COMPOSEMSG:     return "Componer"; 
    case L_MAILBOXES:      return "Buzones";       
    case L_CHANGEMAILBOX:  return "Abrir buz&oacute;n";    
    case L_CREATEMAILBOX:  return "Crear buz&oacute;n";
    case L_DELETEMAILBOX:  return "Borrar buz&oacute;n";    
    case L_RENAMEMAILBOX:  return "Renombrar buz&oacute;n";
    case L_ANSWEREDMSG:    return "Respondido";    
    case L_UNANSWEREDMSG:  return "NO respondido";    
    case L_FLAGGEDMSG:     return "Importante";    
    case L_UNFLAGGEDMSG:   return "NO importante";    
    case L_SEENMSG:        return "NO nuevo";    
    case L_UNSEENMSG:      return "Nuevo";    
    case L_MOVEMSG:        return "Mover mensajes a";
    case L_COPYMSG:        return "Copiar mensajes a";
    case L_CANCEL:         return "Cancelar";
    case L_CONFIRM:        return "Confirmar";
    case L_TO:             return "Para: ";
    case L_CC:             return "CC: ";
    case L_BCC:            return "BCC: ";
    case L_TO0:            return "To";
    case L_CC0:            return "Cc";
    case L_BCC0:           return "Bcc";    
    case L_SUBJECT:        return "Asunto: ";
    case L_TEXTTOSEND:     return "Texto a enviar:";
    case L_CANCELMSG:      return "Cancelar";
    case L_SENDMSG:        return "Enviar";
    case L_ATTACHMSG:      return "Adjuntos";
    case L_REPLYMSG:       return "Contestar";
    case L_FORWARDMSG:     return "Reenviar";
    case L_FROM:           return "De: ";
    case L_DATE:           return "Fecha: ";
    case L_REPLYTO:        return "Reply-to: ";
    case L_SIGNATURE:      return "Firma";
    case L_SHOWOPTIONS:    return "Opciones";
    case L_ADDBOOK:        return "Agenda";
    case L_SAVE:           return "Guardar";
    case L_MSGSPERINDEXPAGE:return "N&uacute;mero de mensajes mostrados por p&aacute;gina en el &iacute;ndice: ";
    case L_INSIGNINNEWMSG: return "Firmar los mensajes nuevos";
    case L_ATTACHSHOWED:   return "Adjunto mostrado debajo";    
    case L_PERSONALNAME:   return "Nombre personal completo: ";    
    case L_NOFROM:         return "(Sin remitente)";    
    case L_SAVEMSGSENTMAIL:return "Guardar mensajes enviados en el buz&oacute;n &nbsp;";    
    case L_ATTACH_NEW:     return "Adjuntar otro fichero";
    case L_FILE:           return "Fichero";
    case L_NO_ATTACHS:     return "(No hay ficheros adjuntados)";
    case L_DOATTACH:       return "Adjuntar!";    
    case L_DETACH:         return "Quitar";
    case L_AB_NICKNAME:    return "Alias";
    case L_AB_FULLNAME:    return "Nombre";
    case L_AB_ADDRESSES:   return "Direcciones (email)";
    case L_AB_FCC:         return "Fcc";
    case L_AB_COMMENTS:    return "Comentarios";
    case L_AB_EDITENTRY:   return "Modificar entrada";
    case L_AB_NEWENTRY:    return "A&ntilde;adir nueva entrada";
    case L_AB_NEWENTRY_S:  return "A&ntilde;adir";
    case L_DELETE:         return "Borrar";
    case L_NUMOFENTRIES:   return "N&uacute;mero de entradas";
    case L_BACK:           return "Atr&aacute;s";
    case L_CLEANALL:       return "Limpiar todo";
    case L_SAVEADDRESS:    return "Guardar Direcci&oacute;n";    
    case L_NUMBER:         return "Num.:";
    case L_FLAGS:          return "Marcas:";
    case L_SIZE:           return "Tamao:";    
    case L_FLAG_DELETED:   return "Borrado";
    case L_FLAG_ANSWERED:  return "Respondido";
    case L_FLAG_FLAGGED:   return "Importante!";
    case L_FLAG_NEW:       return "Nuevo";
    case L_FLAG_UNSEEN:    return "Nuevo";
    case L_MARK:           return "Marcar";
    case L_MSGS_AS:        return " mensajes como ";
    case L_PRESS_TO_INDEX: return "Volver al &Iacute;ndice de mensajes";
    case L_EDIT:           return "Modificar";
    case L_SORT:           return "Ordenar";
    case L_MSGS_SHOWN:     return "<B> Mostrados del %ld al %ld.</B>";
    case L_LEX_TO:         return " a ";
    case L_DELNEXTMSG:     return "Borrar";    
    case L_UNDELNEXTMSG:   return "Deborrar";    
    case L_ABOUT:          return "Acerca de";      
    case L_REPLYFROM:      return "Contestar a 'From:' en vez de 'Reply-to:'.";
    case L_FORWATTACHS:    return "Incluir adjuntos en el Reenv&iacute;o del mensaje.";
    case L_SIZEWRITEAREA:  return "Tama&ntilde;o (filas / columnas) del area de texto en Componer mensaje.";
    case L_NEXTMSGSHOWN:   return "Mostrado el siguiente mensaje.";
    case L_LASTMSGSHOWN:   return "Mostrado el &uacute;ltimo mensaje.";
    case L_NUMATTACHSHOW:  return "<B>Adjunto mostrado: %s</B>";
    case L_DOWNLOADMAILBOX:return "Descargar el Buz&oacute;n completo";
    case L_EMPTY_IMAPSERVER:return "Campo servidor IMAP vac&iacute;o!";    
    case L_NOTALLOWED_IMAPSERVER: return "Servidor IMAP no permitido!";    
    case L_AB_DUMP:        return "Descargar";
    case L_AB_DUMP_S:      return "Descargar";
    case L_TRUNCATELENGTHREADINGMSG: return "Truncar las l&iacute;neas del mensaje que se est&aacute; leyendo si son m&aacute;s largas que ";    
    case L_SKIN:           return "Apariencia";
    case L_SECURITYPROBLEM:return "Problema de seguridad";
    case L_REFRESH        :return "Actualizar";
    case L_FLAG_SEARCHED:  return "Encontrado en la b&uacute;squeda previa";
    case L_SEARCH:         return "Buscar en";
    case L_REFRESHTIME:    return "Minutos para refrescar autom&aacute;ticamente la p&aacute;gina &iacute;ndice (0 para no hacerlo):";
    case L_SEARCH_SUBJECT: return "Asunto";
    case L_SEARCH_FROM:    return "De";
    case L_SEARCH_BODY:    return "Cuerpo";
    case L_SEARCH_ALL:     return "Todo";
    case L_CONFIRMPURGE:   return "Confirmar el purgado del Buz&oacute;n";
    case L_CONFIRMLOGOUT:  return "Confirmar la Desconexi&oacute;n";
    case L_FLAG_UNDELETED:   return "No Borrado";
    case L_FLAG_UNANSWERED:  return "No Contestado";
    case L_FLAG_UNFLAGGED:   return "No Importante";
    case L_FLAG_UNNEW:       return "No Nuevo";
    case L_FLAG_SEEN:        return "Visto";
    case L_FLAG_UNSEARCHED:  return "NO Encontrado";                      
    case L_SEARCHEDMSG:    return "1 mensaje a&ntilde;adido a la lista de mensajes encontrados.";
    case L_UNSEARCHEDMSG:  return "1 mensaje borrado de la lista de mensajes encontrados.";    
    case L_DUMPFULLHEADER: return "Descargar cabeceras";          
    case L_ADDADDRESS_TO:  return "A&ntilde;adir entradas al campo 'Para'";
    case L_ADDADDRESS_CC:  return "A&ntilde;adir entradas al campo 'CC'";
    case L_ADDADDRESS_BCC: return "A&ntilde;adir entradas al campo 'BCC'";        
    case L_DELADDRESSES:   return "Borrar entradas seleccionadas";             
    case L_ADDADDRESS_FIELD: return "A&ntilde;adir direcciones";         
         
    case TIT_COMPOSEMSG:   return "Componiendo nuevo mensaje";
    case TIT_HOMEPAGE:     return "Servicio de Correo de la Universitat de Val&egrave;ncia";
    case TIT_CONFIRMACTION:return "Confirmar acci&oacute;n";
    case TIT_INDEXMAILBOX: return "&Iacute;ndice del buz&oacute;n";    
    case TIT_MAILBOXES:    return "Trabajando con los buzones";
    case TIT_MESSAGEHEADER:return "Viendo el mensaje";
    case TIT_REPLYMSG:     return "Contestando el mensaje";
    case TIT_FORWARDMSG:   return "Reenviando el mensaje";
    case TIT_SHOWOPTIONS:  return "Modificando tus opciones";
    case TIT_ADDBOOK:      return "Viendo la Agenda";
    case TIT_INVALIDPAGE:  return "P&aacute;gina ncorrecta.";
    case TIT_SHOWATTACHS:  return "Trabajando con los adjuntos del mensaje";
    case TIT_BADCOOKIE:    return "Problema de seguridad!";
    case TIT_SHOWHEADERS:  return "Todas las cabeceras"; 

    case ERR_INV_CMD:      return "Comando incorrecto!";
    case ERR_INV_USER_PW:  return "Usuario o Contrase&ntilde;a incorrecto!";   
    case ERR_INV_MAILBOX:  return "Buz&oacute;n incorrecto: '%s'";    
    case ERR_INV_PARMS:    return "Faltan datos en el formulario.";
    case ERR_OPENCONN:     return "Abriendo la conexi&oacute;n con el servidor";
    case ERR_CREAT_USERDIR:return "Creando directorio del Usuario";
    case ERR_CREAT_USERATTACHSDIR:return "Creando directorio para adjuntos de usuario";
    case ERR_SENDING_MSG:  return "Enviando el mensaje";
    case ERR_AB_DELEENTRY: return "Borrando entrada";
    case ERR_MAXSIZEATT:   return "El tama&ntilde;o m&aacute;ximo de adjunto es %ld bytes";
    case ERR_UNHANDLESIZEATTACH: return "El tama&ntilde;o del adjunto es muy grande. No puedo manejarlo.";
    case ERR_QUOTA_USAGE:  return "AVISO: El uso de espacio es del %s.";
    case ERR_SERVERISDOWN: return "El servidor no responde.";
    case ERR_TESTUSER_ACTIONNOTALLOWED: return "Acci&oacute;n no permitida para TEST USER.";
   
    case ALT_LOGO:         return "Logo";
    case ALT_NEXTPAGE_ACT: return "P&aacute;gina&nbsp;siguiente";    
    case ALT_NEXTPAGE_INA: return "P&aacute;gina&nbsp;siguiente";    
    case ALT_PREVPAGE_ACT: return "P&aacute;gina&nbsp;previa";
    case ALT_PREVPAGE_INA: return "P&aacute;gina&nbsp;previa";
    case ALT_FIRSTPAGE_ACT:return "P&aacute;gina&nbsp;Primera";
    case ALT_FIRSTPAGE_INA:return "P&aacute;gina&nbsp;Primera";
    case ALT_LASTPAGE_ACT: return "P&aacute;gina&nbsp;&Uacute;ltima";
    case ALT_LASTPAGE_INA: return "P&aacute;gina&nbsp;&Uacute;ltima";
    case ALT_DUMPFULLMSG:  return "Descargar&nbsp;mensaje";
    case ALT_NEXTMSG:      return "Mensaje&nbsp;Siguiente";
    case ALT_PREVMSG:      return "Mensaje&nbsp;Anterior";
    case ALT_NEXTMSG_INA:  return "Mensaje&nbsp;Siguiente";
    case ALT_PREVMSG_INA:  return "Mensaje&nbsp;Anterior";    
    case ALT_HELP:         return "Ayuda";   
    case ALT_LOGOUT:       return "Salir";
    case ALT_EXPUNGE:      return "Purgar"; 
    case ALT_COMPOSEMSG:   return "Componer";     
    case ALT_MAILBOXES:    return "Buzones";          
    case ALT_REPLYMSG:     return "Contestar";
    case ALT_FORWARDMSG:   return "Reenviar";
    case ALT_SHOWOPTIONS:  return "Opciones";
    case ALT_ADDBOOK:      return "Agenda";
    case ALT_BACK:         return "Atr&aacute;s";
    case ALT_SAVEADDRESS:  return "Guardar&nbsp;Direcci&oacute;n";        
    case ALT_SORT:         return "Ordenar";
    case ALT_AB_NEWENTRY:  return "Nueva&nbsp;entrada";
    case ALT_AB_NEWENTRY_S:return "Nueva entrada";
    case ALT_DELNEXTMSG:   return "Borrar";
    case ALT_ABOUT:        return "Acerca&nbsp;de";      
    case ALT_UNDELNEXTMSG: return "Desborrar";
    case ALT_AB_DUMP:      return "Descargar&nbsp;agenda"; 
    case ALT_AB_DUMP_S:    return "Descargar";       
    case ALT_DUMPFULLHEADER: return "Descargar&nbsp;cabeceras";

    case FORWARDLINE:      return "---------- Mensaje reenviado ----------";
    
    default:               return "No string";
    }                            
  }
  
char *Language::getStringCatala (int WHAT)
  {
  switch (WHAT)
    {
    case PREFIX_FORWARD:   return "(Fwd) ";
    case PREFIX_REPLY:     return "Re: ";

    case MSG_CONNREFUSED:       return "Conexi&oacute; fallida!";
    case MSG_CANRECONNECTHERE:  return "Podeu reconnectar prement ac&iacute;.";        
    case MSG_SERVERISDOWN:      return "El servidor no respon.";
    case MSG_PERHAPSTIMEOUT:    return "Potser s'ha acabat el temps?";
    case MSG_CONF_DELETEMAILBOX:return "Esborrarem la b&uacute;stia. N'esteu segurs?";
    case MSG_CONF_EXPUNGE:      return "Esteu segurs que voleu purgar la b&uacute;stia?<BR>A&ccedil;&ograve; esborrar&aacute; definitivament tots els missatges.";
    case MSG_CONF_LOGOUT:       return "Confirmeu la desconnexi&oacute, per favor.";
    case MSG_SEND_OK:           return "Missatge enviat correctament.";
    case MSG_ERR_SAVE_SENTMAIL: return "Missatge enviat correctament per&ograve; NO es pot guardar el missatge enviat. Pot ser que s'ha acabat l'espai de disc.";
    case MSG_SEND_ERR:          return "Problemes enviant el missatge. Missatge no enviat!";
    case MSG_CANCELMSG:         return "Enviament del missatge CANCELLAT!";
    case MSG_SHOWOPTIONS:       return "Editant les opcions";
    case MSG_SAVEOPTIONS:       return "Opcions GUARDADES!";
    case MSG_CANCELOPTIONS:     return "Cancellada l'edici&oacute; de les opcions!";
    case MSG_ERR_SAVEOPTIONS:   return "ERROR en guardar les opcions!";
    case MSG_ADDBOOK:           return "Veient l'agenda";
    case MSG_SAVEADDBOOK:       return "Agenda GUARDADA!";
    case MSG_ERR_SAVEADDBOOK:   return "ERROR en guardar l'agenda!";    
    case MSG_MSGSPURGED_0:      return "Ning&uacute; missatge esborrat.";    
    case MSG_MSGSPURGED:        return "%d missatge ESBORRAT!";
    case MSG_MSGSPURGED_S:      return "%d missatges ESBORRATS!";    
    case MSG_MAILBOXCHANGED:    return "B&uacute;stia canviada!";
    case MSG_MAILBOXCREATED:    return "Nova b&uacute;stia creada!";
    case MSG_MAILBOXDELETED:    return "B&uacute;stia esborrada!";
    case MSG_MAILBOXRENAMED:    return "B&uacute;stia reanomenada!";
    case MSG_MOVEDMESSAGES:     return "%d missatge mogut a '%s'.";
    case MSG_MOVEDMESSAGES_S:   return "%d missatges moguts a '%s'.";
    case MSG_COPYMESSAGES:      return "%d missatge copiat a '%s'.";
    case MSG_COPYMESSAGES_S:    return "%d missatges copiats a '%s'.";        
    case MSG_INVALIDPAGE:       return "Operaci&oacute; inv&agrave;lida. Per favor, actualitzeu l'&iacute;ndex.";    
    case MSG_SHOWATTACHS:       return "Editant els adjunts";
    case MSG_SAVEATTACHS:       return "Adjunts GUARDATS!";
    case MSG_ERASEATTACHS:      return "Adjunts seleccionats esborrats!";
    case MSG_ERR_SAVEATTACHS:   return "ERROR en guardar els adjunts!";    
    case MSG_AB_EDITENTRY:      return "Editant l'entrada";
    case MSG_AB_SAVEENTRY:      return "Entrada GUARDADA!";
    case MSG_AB_DELEENTRY:      return "Entrades ESBORRADES!";
    case MSG_AB_ADDTO:          return "Afegides les adreces al camp TO en Compondre Missatge";
    case MSG_AB_ADDCC:          return "Afegides les adreces al camp CC en Compondre Missatge";
    case MSG_AB_ADDBCC:         return "Afegides les adreces al camp BCC en Compondre Missatge";
    case MSG_NO_ENTRIES_MARKED: return "No hi havia entrades seleccionades. No s'hi va executar cap acci&oacute;!";        
    case MSG_FLAGS_CHANGED:     return "%d missatge marcat com %s.";
    case MSG_FLAGS_CHANGED_S:   return "%d missatges marcats com %ss.";
    case MSG_FIELD_TO_EMPTY:    return "El camp 'Per a' est&agrave; buit.";
    case MSG_FIELD_SUBJ_EMPTY:  return "El camp 'Assumpte' est&agrave; buit.";
    case MSG_COMPOSE_TIMEOUT:   return "IMPORTANT: Useu el bot&oacute; de 'Guardar' de tant en tant. Als vint minuts d'inactivitat es tancar&agrave; la connexi&oacute; sense avisar i pots perdre l'escrit!";
    case MSG_TOO_MAX_CONN:      return "Massa connexions. Prova m&eacute;s tard.";
    case MSG_TOO_MAX_TRY_CONN:  return "Ho sent. Heu premut el bot&oacute; moltes vegades.";    
    case MSG_ADDRESS_LINE_CUT:  return "COMPTE! Espai m&agrave;xim de l&iacute;nia usat. No es van poder afegir totes les adreces.";
    case MSG_MIN_TIMEBETWCONNS: return "Conexi&oacute; reintentada massa prompte. Per favor premeu el bot&oacute; \"Entrar\" nom&eacute;s una vegada i espereu.";
    case MSG_ERR_RELOAD_ATTACHS:return "Nombre d'adjunts incorrecte. Potser has tornat a reenviar un adjunt ya enviat.";
    case MSG_NOATTACHSERASED:   return "CAP ADJUNT HA SEGUT ESBORRAT!";
    case MSG_NOATTACHSSAVED:    return "CAP ADJUNT HA SEGUT GUARDAT!";
    case MSG_NO_ELEMENTS:       return "No hi ha elements.";
    case MSG_BADCOOKIE:         return "Problema de seguretat! Acces arxivat.";    
    case MSG_DEBUG:             return "Debug Page";
    case MSG_MALFORMED_MESSAGE: return "<FONT color=\"#FF0000\"><BLINK>[ Missatge vuit possiblement malformat. Utilitza \"Descarregar missatge\" per a veure'l com a text. ]</BLINK></FONT>";
    case MSG_MSGSFOUND_0:       return "Cap missatge TROBAT.";    
    case MSG_MSGSFOUND:         return "%d missatge TROBAT.";
    case MSG_MSGSFOUND_S:       return "%d missatges TROBATS.";    
    case MSG_MSGS_SORTED:       return "Missatges ordenats!";
    case MSG_GO_TO_DISABLED:    return "COMPTE: Falten 5 minuts per tancar la conexio. Useu el boto de 'Guardar' o pots perdre l'escrit!"; 
    case MSG_AB_ADDFIELDS:      return "Adreces afegides a els camps indicats: %d.";

    case L_USER:           return "Usuari";
    case L_PASSWORD:       return "Contrasenya";
    case L_LOGIN:          return "Entrar";
    case L_CLEAR:          return "Netejar";
    case L_LOGOUT:         return "Eixir";
    case L_INDEXMAILBOX:   return "<B>B&uacute;stia '%s' amb %ld missatges.</B>";
    case L_INDEXMAILBOX2:  return "&Iacute;ndex de la b&uacute;stia";
    case L_INDEXMAILBOX3:  return "<B>B&uacute;stia '%s' amb %ld missatges (%s).</B>";    
    case L_INDEXMAILBOX4:  return "<B>B&uacute;stia oberta: '%s' (%ld missatges).</B>";    
    case L_CHOOSELANGUAGE: return "Elige idioma/Trieu llengua/Choose language";
    case L_COPYRIGHT:      return "&copy;<A HREF=\"http://www.uv.es\">Universitat de Val&egrave;ncia</A>, 2000";
    case L_MESSAGES:       return "missatges";
    case L_NEXTPAGE_ACT:   return "P&agrave;gina seg&uuml;ent";
    case L_NEXTPAGE_INA:   return "P&agrave;gina seg&uuml;ent";
    case L_PREVPAGE_ACT:   return "P&agrave;gina pr&egrave;via";
    case L_PREVPAGE_INA:   return "P&agrave;gina pr&egrave;via";
    case L_FIRSTPAGE_ACT:  return "Primera p&agrave;gina";
    case L_FIRSTPAGE_INA:  return "Primera p&agrave;gina";
    case L_LASTPAGE_ACT:   return "&Uacute;ltima p&agrave;gina";
    case L_LASTPAGE_INA:   return "&Uacute;ltima p&agrave;gina";
    case L_MESSAGE:        return "<B>Missatge %ld/%ld (%s).</B>";
    case L_MESSAGE2:       return "Llegint el missatge:";
    case L_DUMPFULLMSG:    return "Descarregar el missatge";
    case L_NOSUBJECT:      return "(Sense tema)";
    case L_NEXTMSG:        return "Seg&uuml;ent missatge";
    case L_PREVMSG:        return "Missatge anterior";
    case L_NEXTMSG_INA:    return "Seg&uuml;ent missatge";
    case L_PREVMSG_INA:    return "Missatge anterior";    
    case L_ERROR:          return "Error";
    case L_STRUCTMIME:     return "Estructura del missatge i adjunts:";    
    case L_EXECUTE:        return "Executar";
    case L_DELETEMSG:      return "Esborrat";
    case L_EXPUNGE:        return "Purgar";
    case L_UNDELETEMSG:    return "No esborrat";
    case L_HELP:           return "Ajuda";
    case L_COMPOSEMSG:     return "Compon";
    case L_MAILBOXES:      return "B&uacute;sties";        
    case L_CHANGEMAILBOX:  return "Obrir b&uacute;stia";    
    case L_CREATEMAILBOX:  return "Crear b&uacute;stia";
    case L_DELETEMAILBOX:  return "Esborrar b&uacute;stia";    
    case L_RENAMEMAILBOX:  return "Reanomenar b&uacute;stia";
    case L_ANSWEREDMSG:    return "Contestat";    
    case L_UNANSWEREDMSG:  return "NO contestat";    
    case L_FLAGGEDMSG:     return "Important";    
    case L_UNFLAGGEDMSG:   return "NO important";    
    case L_SEENMSG:        return "NO nou";    
    case L_UNSEENMSG:      return "Nou";    
    case L_MOVEMSG:        return "Moure missatges a";
    case L_COPYMSG:        return "Copiar missatge a";
    case L_CANCEL:         return "Cancellar";
    case L_CONFIRM:        return "Confirmar";
    case L_TO:             return "Per a: ";
    case L_CC:             return "CC: ";
    case L_BCC:            return "BCC: ";
    case L_TO0:            return "To";
    case L_CC0:            return "Cc";
    case L_BCC0:           return "Bcc";    
    case L_SUBJECT:        return "Assumpte: ";
    case L_TEXTTOSEND:     return "Text per enviar:";    
    case L_CANCELMSG:      return "Cancellar";
    case L_SENDMSG:        return "Enviar";
    case L_ATTACHMSG:      return "Adjunts";
    case L_REPLYMSG:       return "Contestar";
    case L_FORWARDMSG:     return "Reenviar";
    case L_FROM:           return "De: ";
    case L_DATE:           return "Data: ";
    case L_REPLYTO:        return "Reply-to: ";
    case L_SIGNATURE:      return "Firma";    
    case L_SHOWOPTIONS:    return "Opcions";
    case L_ADDBOOK:        return "Agenda";
    case L_SAVE:           return "Guardar";
    case L_MSGSPERINDEXPAGE:return "Nombre de missatges mostrats per p&agrave;gina en l'&iacute;ndex: ";    
    case L_INSIGNINNEWMSG: return "Firmar els missatges nous";
    case L_ATTACHSHOWED:   return "Adjunts mostrats baix";    
    case L_PERSONALNAME:   return "Nom personal complet: ";    
    case L_NOFROM:         return "(Sense remitent)";    
    case L_SAVEMSGSENTMAIL:return "Guardar missatges enviats a la b&uacute;stia &nbsp;";    
    case L_ATTACH_NEW:     return "Adjuntar un altre fitxer";    
    case L_FILE:           return "Fitxer";
    case L_NO_ATTACHS:     return "(No hi ha adjunts)";
    case L_DOATTACH:       return "Adjuntar!";    
    case L_DETACH:         return "Desenganxar";    
    case L_AB_NICKNAME:    return "&Agrave;lies";
    case L_AB_FULLNAME:    return "Nom";
    case L_AB_ADDRESSES:   return "Adreces (email)";
    case L_AB_FCC:         return "Fcc";
    case L_AB_COMMENTS:    return "Comentaris";
    case L_AB_EDITENTRY:   return "Editar entrada";    
    case L_AB_NEWENTRY:    return "Afegir nova entrada";
    case L_AB_NEWENTRY_S:  return "Afegir";
    case L_DELETE:         return "Esborrar";    
    case L_NUMOFENTRIES:   return "Nombre d'entrades";
    case L_BACK:           return "Arrere";    
    case L_CLEANALL:       return "Netejar-ho tot";
    case L_SAVEADDRESS:    return "Guardar adrea";    
    case L_NUMBER:         return "N&uacute;m.:";
    case L_FLAGS:          return "Marques:";
    case L_SIZE:           return "Grand&agrave;ria:";
    case L_FLAG_DELETED:   return "Esborrat";
    case L_FLAG_ANSWERED:  return "Contestat";
    case L_FLAG_FLAGGED:   return "Important!";
    case L_FLAG_NEW:       return "Nou";
    case L_FLAG_UNSEEN:    return "Nou";    
    case L_MARK:           return "Marcar";
    case L_MSGS_AS:        return " missatges com ";
    case L_PRESS_TO_INDEX: return "Tornar a l'&iacute;ndex de missatges";
    case L_EDIT:           return "Editar";
    case L_SORT:           return "Ordenar";
    case L_MSGS_SHOWN:     return "<B> Mostrats del %ld al %ld.</B>";
    case L_LEX_TO:         return " a ";
    case L_DELNEXTMSG:     return "Esborrar";                      
    case L_UNDELNEXTMSG:   return "No esborrar";    
    case L_ABOUT:          return "A prop&ograve;sit";                    
    case L_REPLYFROM:      return "Contestar a 'From:' en compte de 'Reply-to:'.";
    case L_FORWATTACHS:    return "Incloure adjunts en el Reenv&iacute;o del missatge.";
    case L_SIZEWRITEAREA:  return "Grand&agrave;ria (files / columnes) de l'&agrave;rea de text en Composar missatge.";
    case L_NEXTMSGSHOWN:   return "Mostrat el seg&uuml;ent missatge.";
    case L_LASTMSGSHOWN:   return "Mostrat el &uacute;ltim missatge.";    
    case L_NUMATTACHSHOW:  return "<B>Adjunt mostrat: %s</B>";
    case L_DOWNLOADMAILBOX:return "Descarregar tota la b&uacute;stia";
    case L_EMPTY_IMAPSERVER:return "No hi ha servidor IMAP!";             
    case L_NOTALLOWED_IMAPSERVER: return "Servidor IMAP no v&agrave;lid!";         
    case L_AB_DUMP:        return "Descarregar";    
    case L_AB_DUMP_S:      return "Descarregar";
    case L_TRUNCATELENGTHREADINGMSG: return "Truncar les l&iacute;nies del missatge que est&agrave; llegint-se si s&oacute;n m&eacute;s llargues que ";    
    case L_SKIN:           return "Paregut";
    case L_SECURITYPROBLEM:return "Problema de seguretat";    
    case L_REFRESH        :return "Actualitzar";
    case L_FLAG_SEARCHED:  return "Trovat en la recerca pr&egrave;via";
    case L_SEARCH:         return "Buscar en";
    case L_REFRESHTIME:    return "Minuts per refrescar autom&agrave;ticament la p&agrave;gina &iacute;ndex (0 per no fer-ho).";
    case L_SEARCH_SUBJECT: return "Assumpte";
    case L_SEARCH_FROM:    return "De";
    case L_SEARCH_BODY:    return "Cos";
    case L_SEARCH_ALL:     return "Tot";
    case L_CONFIRMPURGE:   return "Confirmar la purga de la B&uacute;stia";
    case L_CONFIRMLOGOUT:  return "Confirmar la Desconnexi&oacute;";
    case L_FLAG_UNDELETED:   return "No Esborrat";
    case L_FLAG_UNANSWERED:  return "No Contestat";
    case L_FLAG_UNFLAGGED:   return "No Important";
    case L_FLAG_UNNEW:       return "No Nou";
    case L_FLAG_SEEN:        return "Vist";
    case L_FLAG_UNSEARCHED:  return "No Encontrat";                      
    case L_SEARCHEDMSG:    return "1 missatge sumat a la llista de missatges trobats.";
    case L_UNSEARCHEDMSG:  return "1 missatge esborrat de la llista de missatges trobats.";
    case L_DUMPFULLHEADER: return "Descarregar cap&ccedil;aleres";                   
    case L_ADDADDRESS_TO:  return "Afegir entrades al camp 'Per a'";
    case L_ADDADDRESS_CC:  return "Afegir entrades al camp 'CC'";
    case L_ADDADDRESS_BCC: return "Afegir entrades al camp 'BCC'";
    case L_DELADDRESSES:   return "Esborrar entrades seleccionades";             
    case L_ADDADDRESS_FIELD: return "Afegir adreces";         
         
    case TIT_COMPOSEMSG:   return "Composant missatge nou";    
    case TIT_HOMEPAGE:     return "Servei de Correu de la Universitat de Val&egrave;ncia";
    case TIT_CONFIRMACTION:return "Confirmar acci&oacute;";
    case TIT_INDEXMAILBOX: return "&Iacute;ndex de la b&uacute;stia";  
    case TIT_MAILBOXES:    return "Treballant amb les b&uacute;usties";
    case TIT_MESSAGEHEADER:return "Veient missatge";      
    case TIT_REPLYMSG:     return "Contestant missatge";
    case TIT_FORWARDMSG:   return "Reenviant missatge";
    case TIT_SHOWOPTIONS:  return "Editant les vostres opcions";
    case TIT_ADDBOOK:      return "Veient l'agenda";
    case TIT_INVALIDPAGE:  return "P&agrave;gina inv&agrave;lida";    
    case TIT_SHOWATTACHS:  return "Treballant amb els adjunts del missatge";
    case TIT_BADCOOKIE:    return "Problema de seguretat!";    
    case TIT_SHOWHEADERS:  return "Totes les cap&ccedil;aleres"; 
    
    case ERR_INV_CMD:      return "Commandament inv&agrave;lid!";    
    case ERR_INV_USER_PW:  return "Usuari o contrasenya inv&agrave;lid";       
    case ERR_INV_MAILBOX:  return "B&uacute;stia inv&agrave;lida: '%s'";    
    case ERR_INV_PARMS:    return "Falten dades en el formulari.";    
    case ERR_OPENCONN:     return "Obrint la connexi&oacute; amb el servidor";
    case ERR_CREAT_USERDIR:return "Creant directori de l'usuari";    
    case ERR_CREAT_USERATTACHSDIR:return "Creant directori per a adjunts de l'usuari";
    case ERR_SENDING_MSG:  return "Enviant el missatge.";
    case ERR_AB_DELEENTRY: return "Esborrant entrada";
    case ERR_MAXSIZEATT:   return "La grandaria m&agrave;xima d'adjunt &eacute;s %ld bytes";
    case ERR_UNHANDLESIZEATTACH: return "El tamanyo del adjunt es molt grand. No puc maneixar-ho.";
    case ERR_QUOTA_USAGE:  return "AV&Iacute;S: L'&uacute;s d'espai &eacute;s del %s.";
    case ERR_SERVERISDOWN: return "El servidor no respon.";
    case ERR_TESTUSER_ACTIONNOTALLOWED: return "Acci&oacute; no permitida per a TEST USER.";
    
    case ALT_LOGO:         return "Logo";
    case ALT_NEXTPAGE_ACT: return "P&agrave;gina&nbsp;seg&uuml;ent";    
    case ALT_NEXTPAGE_INA: return "P&agrave;gina&nbsp;seg&uuml;ent";    
    case ALT_PREVPAGE_ACT: return "P&agrave;gina&nbsp;anterior";    
    case ALT_PREVPAGE_INA: return "P&agrave;gina&nbsp;anterior";
    case ALT_FIRSTPAGE_ACT:return "Primera&nbsp;p&agrave;gina";
    case ALT_FIRSTPAGE_INA:return "Primera&nbsp;p&agrave;gina";
    case ALT_LASTPAGE_ACT: return "&Uacute;ltima&nbsp;p&agrave;gina";
    case ALT_LASTPAGE_INA: return "&Uacute;ltima&nbsp;p&agrave;gina";
    case ALT_DUMPFULLMSG:  return "Descarregar&nbsp;missatge";
    case ALT_NEXTMSG:      return "Missatge&nbsp;seg&uuml;ent";
    case ALT_PREVMSG:      return "Missatge&nbsp;anterior";
    case ALT_NEXTMSG_INA:  return "Missatge&nbsp;seg&uuml;ent";
    case ALT_PREVMSG_INA:  return "Missatge&nbsp;anterior";    
    case ALT_HELP:         return "Ajuda";   
    case ALT_LOGOUT:       return "Eixir";
    case ALT_EXPUNGE:      return "Purgar";
    case ALT_COMPOSEMSG:   return "Compon";
    case ALT_MAILBOXES:    return "B&uacute;sties";                
    case ALT_REPLYMSG:     return "Contestar";
    case ALT_FORWARDMSG:   return "Reenviar";
    case ALT_SHOWOPTIONS:  return "Opcions";
    case ALT_ADDBOOK:      return "Agenda";
    case ALT_BACK:         return "Arrere";
    case ALT_SAVEADDRESS:  return "Guardar&nbsp;adrea";    
    case ALT_SORT:         return "Ordenar";
    case ALT_AB_NEWENTRY:  return "Nova&nbsp;entrada";
    case ALT_AB_NEWENTRY_S:return "Nova entrada";
    case ALT_DELNEXTMSG:   return "Esborrar";
    case ALT_ABOUT:        return "A&nbsp;proposit";      
    case ALT_UNDELNEXTMSG: return "No&nbsp;esborrar";
    case ALT_AB_DUMP:      return "Descarregar&nbsp;agenda";      
    case ALT_AB_DUMP_S:    return "Descarregar";
    case ALT_DUMPFULLHEADER: return "Descarregar&nbsp;cap&ccedil;aleres";      

    case FORWARDLINE:      return "---------- Missatge reenviat ----------";
    
    default:               return "No string";
    }
  }                                          
   
char *Language::getStringEuskera (int WHAT)
  {
  switch (WHAT)
    {
    case PREFIX_FORWARD:   return "(Fwd) ";
    case PREFIX_REPLY:     return "Re: ";

    case MSG_CONNREFUSED:       return "Konexioak huts egin du!";
    case MSG_CANRECONNECTHERE:  return "Hemen sakatuta berriz konekta dezakezu."; 
    case MSG_SERVERISDOWN:      return "Zerbitzariak ez du erantzuten.";
    case MSG_PERHAPSTIMEOUT:    return "Denbora amaitu egin ote da?";
    case MSG_CONF_DELETEMAILBOX:return "Postontzia ezabatu egingo dugu. Ziur al zaude?";
    case MSG_CONF_EXPUNGE:      return "Postontzia purgatu nahi duzula ziur al zaude?<BR>Honek behin betiko ezabatuko ditu ezabatutzat markatutako mezu guztiak";
    case MSG_CONF_LOGOUT:       return "Deskonexioa egiaztatu, mesedez.";
    case MSG_SEND_OK:           return "Ongi bidalitako mezua.";
    case MSG_ERR_SAVE_SENTMAIL: return "Ongi bidalitako mezua, baina bidalitako mezua EZIN DA gorde. Agian zure diskoko espazioa amaitu egingo zen";    
    case MSG_SEND_ERR:          return "Mezua bidaltzen arazoak. Bidali gabeko mezua.";
    case MSG_CANCELMSG:         return "Mezua bidaltzea baliogabetuta!";
    case MSG_SHOWOPTIONS:       return "Aukerak aldatzen";
    case MSG_SAVEOPTIONS:       return "GORDETAKO aukerak!";
    case MSG_CANCELOPTIONS:     return "Aukeren edizioa ezabatuta!";
    case MSG_ERR_SAVEOPTIONS:   return "AKATSA aukerak gordetzean!";
    case MSG_ADDBOOK:           return "Agendari begiratuz";
    case MSG_SAVEADDBOOK:       return "Agenda GORDETA!";
    case MSG_ERR_SAVEADDBOOK:   return "AKATSA Agenda gordetzen!";
    case MSG_MSGSPURGED_0:      return "Ezabatutako mezurik ez.";    
    case MSG_MSGSPURGED:        return "%d mezu EZABATUTA!";
    case MSG_MSGSPURGED_S:      return "%d mezu EZABATUTA!";    
    case MSG_MAILBOXCHANGED:    return "Postontzia aldatuta!";
    case MSG_MAILBOXCREATED:    return "Postontzi berria sortuta!";
    case MSG_MAILBOXDELETED:    return "Postontzia ezabatuta!";
    case MSG_MAILBOXRENAMED:    return "Postontzia berriz izendatuta!";
    case MSG_MOVEDMESSAGES:     return "%d mezu '%s'ra mugituta.";
    case MSG_MOVEDMESSAGES_S:   return "%d mezu '%s'ra mugituta.";
    case MSG_COPYMESSAGES:      return "%d mezu '%s'ra kopiatuta.";
    case MSG_COPYMESSAGES_S:    return "%d mezu '%s'ra kopiatuta.";    
    case MSG_INVALIDPAGE:       return "Eragiketa desegokia. Mesedez Aurkibidea eguneratu.";
    case MSG_SHOWATTACHS:       return "Erantsitakoak aldatzen";
    case MSG_SAVEATTACHS:       return "Erantsitakoak GORDETA!";
    case MSG_ERASEATTACHS:      return "Hautatutako Erantsitakoak ezabatuta!";
    case MSG_ERR_SAVEATTACHS:   return "AKATSA Erantsitakoak gordetzen!";
    case MSG_AB_EDITENTRY:      return "Sarrera aldatzen";
    case MSG_AB_SAVEENTRY:      return "Sarrera GORDETA!";
    case MSG_AB_DELEENTRY:      return "Sarrerak EZABATUTA!";
    case MSG_AB_ADDTO:          return "Mezua Osatu-n TO eremuari helbideak gehituta";
    case MSG_AB_ADDCC:          return "Mezua Osatu-n CC eremuari helbideak gehituta";
    case MSG_AB_ADDBCC:         return "Mezua Osatu-n BCC eremuari helbideak gehituta";
    case MSG_NO_ENTRIES_MARKED: return "Hautatutako sarrerarik ez zegoen. Inolako ekintzarik ez da exekutatu!";
    case MSG_FLAGS_CHANGED:     return "%d mezu %s gisa markatuta.";
    case MSG_FLAGS_CHANGED_S:   return "%d mezu %s gisa markatuta.";
    case MSG_FIELD_TO_EMPTY:    return "'Norentzat' eremua hutsik dago.";
    case MSG_FIELD_SUBJ_EMPTY:  return "'Gaia' eremua hutsik dago.";
    case MSG_COMPOSE_TIMEOUT:   return "GARRANTSITSUA: 'Gorde' botoia noizbehinka erabili. Lanik gabe 20 minutu igarota konexioa itxi egiten da abisurik pasa gabe eta idatzitakoa galdu egin dezakezu!";
    case MSG_TOO_MAX_CONN:      return "Konexio gehiegi. Saiatu geroago.";
    case MSG_TOO_MAX_TRY_CONN:  return "Sentitzen dut. Botoia askotan sakatu duzu.";
    case MSG_ADDRESS_LINE_CUT:  return "KONTUZ! Lerroko gehienezko luzera lortu duzu. Helbide guztiak gehitzerik ez da egon.";
    case MSG_MIN_TIMEBETWCONNS: return "Berriz konektatzen azkarregi saiatu zara. Mesedez, sakatu 'Sartu' botoia behin bakarrik eta itxaron.";
    case MSG_ERR_RELOAD_ATTACHS:return "Erantsitakoen kopurua oker. Seguru asko, leen bidalitako erantsitakoren bat berriz bidaltzen saiatu zara";
    case MSG_NOATTACHSERASED:   return "ERANTSITAKORIK EZ DA DEUSEZTATU!";
    case MSG_NOATTACHSSAVED:    return "ERANTSITAKORIK EZ DA GORDE!";
    case MSG_NO_ELEMENTS:       return "Ez dago elementurik.";
    case MSG_BADCOOKIE:         return "Segurtasun-arazoa! Sarbidea artxibatuta.";
    case MSG_DEBUG:             return "Debug Page";
    case MSG_MALFORMED_MESSAGE: return "<FONT color=\"#FF0000\"><BLINK>[ Mezu hutsa, seguru asko gaizki osatua. Testu gisa ikusteko erabili 'Mezua deskargatu'. ]</BLINK></FONT>";
    case MSG_MSGSFOUND_0:       return "Mezurik ez da AURKITU.";    
    case MSG_MSGSFOUND:         return "%d mezu AURKITUTA.";
    case MSG_MSGSFOUND_S:       return "%d mezu AURKITUTA.";    
    case MSG_MSGS_SORTED:       return "Mezu ordenatuak!";
    case MSG_GO_TO_DISABLED:    return "KONTUZ: Saioa deskonektatzeko 5 minutu falta dira. Erabili 'Gorde' botoia edo idatzitakoa galdu egin dezakezu!";
    case MSG_AB_ADDFIELDS:      return "Adierazitako eremuei gehitutako helbideak: %d.";
        
    case L_USER:           return "Erabiltzailea";
    case L_PASSWORD:       return "Pasahitza";
    case L_LOGIN:          return "Sartu";
    case L_CLEAR:          return "Garbitu";
    case L_LOGOUT:         return "Irten";
    case L_INDEXMAILBOX:   return "<B>Postontzia '%s' %ld mezurekin.</B>";
    case L_INDEXMAILBOX2:  return "Postontziaren indizea";
    case L_INDEXMAILBOX3:  return "<B>Postontzia '%s' %ld mezurekin (%s).</B>";
    case L_INDEXMAILBOX4:  return "<B>Oraingo postontzia irekita: '%s' (%ld mezu).</B>";    
    case L_CHOOSELANGUAGE: return "Elige idioma/Tria llenguatge/Choose language/Aukeraru hizkuntza";
    case L_COPYRIGHT:      return "&copy;<A HREF=\"http://www.uv.es\">Universitat de Val&egrave;ncia</A>, 2000";
    case L_MESSAGES:       return "mezuak";
    case L_NEXTPAGE_ACT:   return "Hurrengo orrialdea";
    case L_NEXTPAGE_INA:   return "Hurrengo orrialdea";
    case L_PREVPAGE_ACT:   return "Aurreko orrialdea";
    case L_PREVPAGE_INA:   return "Aurreko orrialdea";
    case L_FIRSTPAGE_ACT:  return "Lehen Orrialdea";
    case L_FIRSTPAGE_INA:  return "Lehen Orrialdea";
    case L_LASTPAGE_ACT:   return "Azken Orrialdea";
    case L_LASTPAGE_INA:   return "Azken Orrialdea";
    case L_MESSAGE:        return "<B>Mezua %ld/%ld (%s).</B>";
    case L_MESSAGE2:       return "Mezua irakurtzen:";
    case L_DUMPFULLMSG:    return "Mezua deskargatu";
    case L_NOSUBJECT:      return "(Gairik gabe)";    
    case L_NEXTMSG:        return "Hurrengo Mezua";
    case L_PREVMSG:        return "Aurreko Mezua";
    case L_NEXTMSG_INA:    return "Hurrengo Mezua";
    case L_PREVMSG_INA:    return "Aurreko Mezua";
    case L_ERROR:          return "Akatsa";
    case L_STRUCTMIME:     return "Mezuaren eta erantsitakoen egitura:";    
    case L_EXECUTE:        return "Exekutatu";
    case L_DELETEMSG:      return "Ezabatzea";
    case L_EXPUNGE:        return "Purgatu";
    case L_UNDELETEMSG:    return "Borratu GABEA";
    case L_HELP:           return "Laguntza";
    case L_COMPOSEMSG:     return "Osatu"; 
    case L_MAILBOXES:      return "Postontziak";       
    case L_CHANGEMAILBOX:  return "Postontzia ireki";    
    case L_CREATEMAILBOX:  return "Postontzia sortu";
    case L_DELETEMAILBOX:  return "Postontzia ezabatu";    
    case L_RENAMEMAILBOX:  return "Postontziari izena berriz ipini";
    case L_ANSWEREDMSG:    return "Erantzuna";    
    case L_UNANSWEREDMSG:  return "Erantzun GABEA";    
    case L_FLAGGEDMSG:     return "Garrantzitsua";    
    case L_UNFLAGGEDMSG:   return "EZ DA garrantzitsua";    
    case L_SEENMSG:        return "Berria EZ";    
    case L_UNSEENMSG:      return "Berria";    
    case L_MOVEMSG:        return "Mezuak  ...ra mugitu";
    case L_COPYMSG:        return "...ra mezuak kopiatu";
    case L_CANCEL:         return "Baliogabetu";
    case L_CONFIRM:        return "Egiaztatu";
    case L_TO:             return "Norentzat: ";
    case L_CC:             return "CC: ";
    case L_BCC:            return "BCC: ";
    case L_TO0:            return "To";
    case L_CC0:            return "Cc";
    case L_BCC0:           return "Bcc";    
    case L_SUBJECT:        return "Gaia: ";
    case L_TEXTTOSEND:     return "Bidaltzeko testua:";
    case L_CANCELMSG:      return "Baliogabetu";
    case L_SENDMSG:        return "Bidali";
    case L_ATTACHMSG:      return "Erantsitakoak";
    case L_REPLYMSG:       return "Erantzun";
    case L_FORWARDMSG:     return "Berriz bidali";
    case L_FROM:           return "Nork: ";
    case L_DATE:           return "Data: ";
    case L_REPLYTO:        return "Reply-to: ";
    case L_SIGNATURE:      return "Sinadura";
    case L_SHOWOPTIONS:    return "Aukerak";
    case L_ADDBOOK:        return "Agenda";
    case L_SAVE:           return "Gorde";
    case L_MSGSPERINDEXPAGE:return "Aurkibidean orrialdeko erakutsitako mezu-kopurua:";
    case L_INSIGNINNEWMSG: return "Mezu berriak sinatu";
    case L_ATTACHSHOWED:   return "Azpian erakutsitako erantsitakoa";    
    case L_PERSONALNAME:   return "Pertsona izen osoa: ";    
    case L_NOFROM:         return "(Igorlerik gabe)";    
    case L_SAVEMSGSENTMAIL:return "Igorritako mezuak postontzian gorde";    
    case L_ATTACH_NEW:     return "Beste fitxategi bat erantsi";
    case L_FILE:           return "Fitxategia";
    case L_NO_ATTACHS:     return "(Ez dago erantsitako fitxategirik)";
    case L_DOATTACH:       return "Erantsi!";    
    case L_DETACH:         return "Kendu";
    case L_AB_NICKNAME:    return "Goitizena";
    case L_AB_FULLNAME:    return "Izena";
    case L_AB_ADDRESSES:   return "Helbideak (e-maila)";
    case L_AB_FCC:         return "Fcc";
    case L_AB_COMMENTS:    return "Iruzkinak";
    case L_AB_EDITENTRY:   return "Sarrera aldatu";
    case L_AB_NEWENTRY:    return "Beste sarrera bat gehitu";
    case L_AB_NEWENTRY_S:  return "Gehitu";
    case L_DELETE:         return "Ezabatu";
    case L_NUMOFENTRIES:   return "Sarrera-kopurua";
    case L_BACK:           return "Atzera";
    case L_CLEANALL:       return "Dena garbitu";
    case L_SAVEADDRESS:    return "Helbidea Gorde";    
    case L_NUMBER:         return "Zk.:";
    case L_FLAGS:          return "Markak:";
    case L_SIZE:           return "Tamaina:";    
    case L_FLAG_DELETED:   return "Ezabatuta";
    case L_FLAG_ANSWERED:  return "Erantzunda";
    case L_FLAG_FLAGGED:   return "Garrantzitsua!";
    case L_FLAG_NEW:       return "Berria";
    case L_FLAG_UNSEEN:    return "Berria";
    case L_MARK:           return "Markatu";
    case L_MSGS_AS:        return " mezuak ... gisa ";
    case L_PRESS_TO_INDEX: return "Mezu-indizera itzuli";
    case L_EDIT:           return "Aldatu";
    case L_SORT:           return "Ordenatu";
    case L_MSGS_SHOWN:     return "<B> Erakutsiak %ld etik %ld ra.</B>";
    case L_LEX_TO:         return " a ";
    case L_DELNEXTMSG:     return "Ezabatu";    
    case L_UNDELNEXTMSG:   return "Ezabatzea kendu";    
    case L_ABOUT:          return "...ren inguruan";      
    case L_REPLYFROM:      return "Erantzun 'From:'i 'Reply-to:'ren ordez.";
    case L_FORWATTACHS:    return "Mezua berriz igortzean erantsitakoak barne hartu.";
    case L_SIZEWRITEAREA:  return "Testu-esparruaren tamaina (ilarak / zutabeak) Mezua osatu-n.";
    case L_NEXTMSGSHOWN:   return "Hurrengo mezua erakutsita.";
    case L_LASTMSGSHOWN:   return "Azken mezua erakutsita.";
    case L_NUMATTACHSHOW:  return "<B>Erantsitakoa erakutsita: %s</B>";
    case L_DOWNLOADMAILBOX:return "Postontzi osoa deskargatu";
    case L_EMPTY_IMAPSERVER:return "IMAP zerbitzariaren eremua hutsa!";    
    case L_NOTALLOWED_IMAPSERVER: return "IMAP zerbitzaria ez da onartzen!";    
    case L_AB_DUMP:        return "Deskargatu";
    case L_AB_DUMP_S:      return "Deskargatu";
    case L_TRUNCATELENGTHREADINGMSG: return "Irakurtzen ari den mezuaren lerroak ebaki ... baino luzeagoak badira ";    
    case L_SKIN:           return "Itxura";
    case L_SECURITYPROBLEM:return "Segurtasun-arazoa";
    case L_REFRESH        :return "Eguneratu";
    case L_FLAG_SEARCHED:  return "Aurretiazko bilaketan aurkitua";
    case L_SEARCH:         return "... n bilatu";
    case L_REFRESHTIME:    return "Aurkibide-orrialdea automatikoki freskatzeko minutuak (0 ez egiteko):";
    case L_SEARCH_SUBJECT: return "Gaia";
    case L_SEARCH_FROM:    return "Nork";
    case L_SEARCH_BODY:    return "Gorputza";
    case L_SEARCH_ALL:     return "Dena";
    case L_CONFIRMPURGE:   return "Postontzi-purgaketa egiaztatu";
    case L_CONFIRMLOGOUT:  return "Deskonexioa egiaztatu";
    case L_FLAG_UNDELETED:   return "Ezabatu GABEA";
    case L_FLAG_UNANSWERED:  return "Erantzun GABEA";
    case L_FLAG_UNFLAGGED:   return "Ez da Garrantzitsua";
    case L_FLAG_UNNEW:       return "Ez da Berria";
    case L_FLAG_SEEN:        return "Ikusia";
    case L_FLAG_UNSEARCHED:  return "Aurkitu GABEA";                      
    case L_SEARCHEDMSG:    return "Mezu bat erantsia aurkitutako mezuen zerrendari";
    case L_UNSEARCHEDMSG:  return "Mezu bat ezabatua aurkitutako mezuen zerrendatik";    
    case L_DUMPFULLHEADER: return "Goiburukoak deskargatu";          
    case L_ADDADDRESS_TO:  return "Sarrerak gehitu 'Norentzat' eremuari";
    case L_ADDADDRESS_CC:  return "Sarrerak gehitu 'CC' eremuari";
    case L_ADDADDRESS_BCC: return "Sarrerak gehitu 'BCC' eremuari";        
    case L_DELADDRESSES:   return "Hautatutako sarrerak ezabatu";             
    case L_ADDADDRESS_FIELD: return "Helbideak gehitu";         
         
    case TIT_COMPOSEMSG:   return "Mezu berria osatzen";
    case TIT_HOMEPAGE:     return "Universitat de Valncia-ren Posta Zerbitzua";
    case TIT_CONFIRMACTION:return "Ekintza egiaztatu";
    case TIT_INDEXMAILBOX: return "Postontziaren aurkibidea";    
    case TIT_MAILBOXES:    return "Postontziekin lanean";
    case TIT_MESSAGEHEADER:return "Mezua ikusten";
    case TIT_REPLYMSG:     return "Mezuari erantzuten";
    case TIT_FORWARDMSG:   return "Mezua berriz igortzen";
    case TIT_SHOWOPTIONS:  return "Zure aukerak aldatzen";
    case TIT_ADDBOOK:      return "Agenda ikusten";
    case TIT_INVALIDPAGE:  return "Orrialdea oker.";
    case TIT_SHOWATTACHS:  return "Mezuari erantsitakoekin lanean";
    case TIT_BADCOOKIE:    return "Segurtasun-arazoa!";
    case TIT_SHOWHEADERS:  return "Goiburuko guztiak"; 

    case ERR_INV_CMD:      return "Komandoa oker!";
    case ERR_INV_USER_PW:  return "Erabiltzailea edo Pasahitza oker!";   
    case ERR_INV_MAILBOX:  return "Postontzia oker: '%s'";    
    case ERR_INV_PARMS:    return "Parametroak oker";
    case ERR_OPENCONN:     return "Zerbitzariaren konexioa irekitzen";
    case ERR_CREAT_USERDIR:return "Erabiltzailearen direktorioa sortzen";
    case ERR_CREAT_USERATTACHSDIR:return "Erabiltzaile-erantsitakoentzat direktorioa sortzen";
    case ERR_SENDING_MSG:  return "Mezua bidaltzen";
    case ERR_AB_DELEENTRY: return "Sarrera ezabatzen";
    case ERR_MAXSIZEATT:   return "Erantsitakoaren gehienezko tamaina %ld bytekoa da";
    case ERR_UNHANDLESIZEATTACH: return "Erantsitakoaren tamaina oso handia da. Ezin dut maneiatu.";
    case ERR_QUOTA_USAGE:  return "OHARRA: Espazio-erabilpena %s   ...koa da.";
    case ERR_SERVERISDOWN: return "Zerbitzariak ez du erantzuten.";
    case ERR_TESTUSER_ACTIONNOTALLOWED: return "Ekintza debekatuta TEST USER-entzat.";
   
    case ALT_LOGO:         return "Logoa";
    case ALT_NEXTPAGE_ACT: return "Hurrengo&nbsp;orrialdea";    
    case ALT_NEXTPAGE_INA: return "Hurrengo&nbsp;orrialdea";    
    case ALT_PREVPAGE_ACT: return "Aurreko&nbsp;orrialdea";
    case ALT_PREVPAGE_INA: return "Aurreko&nbsp;orrialdea";
    case ALT_FIRSTPAGE_ACT:return "Lehen&nbsp;orrialdea";
    case ALT_FIRSTPAGE_INA:return "Lehen&nbsp;orrialdea";
    case ALT_LASTPAGE_ACT: return "Azken&nbsp;orrialdea";
    case ALT_LASTPAGE_INA: return "Azken&nbsp;orrialdea";
    case ALT_DUMPFULLMSG:  return "Mezua&nbsp;deskargatu";
    case ALT_NEXTMSG:      return "Hurrengo&nbsp;mezua";
    case ALT_PREVMSG:      return "Aurreko&nbsp;mezua";
    case ALT_NEXTMSG_INA:  return "Hurrengo&nbsp;mezua";
    case ALT_PREVMSG_INA:  return "Aurreko&nbsp;mezua";    
    case ALT_HELP:         return "Laguntza";   
    case ALT_LOGOUT:       return "Irten";
    case ALT_EXPUNGE:      return "Purgatu"; 
    case ALT_COMPOSEMSG:   return "Osatu";     
    case ALT_MAILBOXES:    return "Postontziak";          
    case ALT_REPLYMSG:     return "Erantzun";
    case ALT_FORWARDMSG:   return "Berriz&nbsp;igorri";
    case ALT_SHOWOPTIONS:  return "Aukerak";
    case ALT_ADDBOOK:      return "Agenda";
    case ALT_BACK:         return "Atzera";
    case ALT_SAVEADDRESS:  return "Helbidea&nbsp;gorde";        
    case ALT_SORT:         return "Ordenatu";
    case ALT_AB_NEWENTRY:  return "Sarrera&nbsp;berria";
    case ALT_AB_NEWENTRY_S:return "Sarrera&nbsp;berria";
    case ALT_DELNEXTMSG:   return "Ezabatu";
    case ALT_ABOUT:        return "...ren&nbsp;inguruan";      
    case ALT_UNDELNEXTMSG: return "Ezabatzea&nbsp;kendu";
    case ALT_AB_DUMP:      return "Agenda&nbsp;deskargatu"; 
    case ALT_AB_DUMP_S:    return "Deskargatu";       
    case ALT_DUMPFULLHEADER: return "Goiburukoak&nbsp;ezabatu";

    case FORWARDLINE:      return "---------- Mezua berriz igorria ----------";
    
    default:               return "No string";
    }                            
  }
  
char *Language::getImageEnglish (int WHAT)
  {
  switch (WHAT)
    {
    case L_LOGOUT:        return "/postman/icons/logout.gif";
    case L_NEXTPAGE_ACT:  return "/postman/icons/nextpage.gif";
    case L_NEXTPAGE_INA:  return "/postman/icons/nextpage_ina.gif";
    case L_PREVPAGE_ACT:  return "/postman/icons/prevpage.gif";
    case L_PREVPAGE_INA:  return "/postman/icons/prevpage_ina.gif";
    case L_FIRSTPAGE_ACT: return "/postman/icons/firstpage.gif";
    case L_FIRSTPAGE_INA: return "/postman/icons/firstpage_ina.gif";
    case L_LASTPAGE_ACT:  return "/postman/icons/lastpage.gif";
    case L_LASTPAGE_INA:  return "/postman/icons/lastpage_ina.gif";   
    case L_DUMPFULLMSG:   return "/postman/icons/dumpfullmsg.gif";
    case L_DUMPFULLHEADER:return "/postman/icons/dumpfullheader.gif";    
    case L_NEXTMSG:       return "/postman/icons/nextmsg.gif";
    case L_PREVMSG:       return "/postman/icons/prevmsg.gif";
    case L_NEXTMSG_INA:   return "/postman/icons/nextmsg_ina.gif";
    case L_PREVMSG_INA:   return "/postman/icons/prevmsg_ina.gif";        
    case L_EXPUNGE:       return "/postman/icons/expunge.gif";
    case L_HELP:          return "/postman/icons/help.gif";   
    case L_COMPOSEMSG:    return "/postman/icons/compose.gif";
    case L_MAILBOXES:     return "/postman/icons/showmailboxes.gif";
    case L_CANCEL:        return "/postman/icons/cancel.gif";
    case L_CONFIRM:       return "/postman/icons/confirm.gif";
    case L_REPLYMSG:      return "/postman/icons/reply.gif";
    case L_FORWARDMSG:    return "/postman/icons/forward.gif";
    case L_SHOWOPTIONS:   return "/postman/icons/showoptions.gif";    
    case L_ADDBOOK:       return "/postman/icons/addbook.gif";    
    case L_AB_EDITENTRY:  return "/postman/icons/editentry.gif";
    case L_BACK:          return "/postman/icons/back.gif";
    case L_SAVEADDRESS:   return "/postman/icons/saveaddress.gif";
    case L_INDEXMAILBOX:  return "/postman/icons/index.gif";
    case L_AB_NEWENTRY:   return "/postman/icons/ab_newentry.gif";
    case L_AB_NEWENTRY_S: return "/postman/icons/ab_newentry_small.gif";
    case L_DELNEXTMSG:    return "/postman/icons/paperbox.gif";
    case L_UNDELNEXTMSG:  return "/postman/icons/unpaperbox.gif";    
    case L_ABOUT:         return "/postman/icons/about.gif";
    case L_AB_DUMP:       return "/postman/icons/dump.gif";
    case L_AB_DUMP_S:     return "/postman/icons/dump_small.gif";
    case L_SECURITYPROBLEM:return "/postman/icons/security.gif";        
    default:              return "/postman/icons/unknown.gif";
    }                              
  }
 
char *Language::getImageSpanish (int WHAT)
  {
  switch (WHAT)
    {
    case L_LOGOUT:        return "/postman/icons/logout.gif";
    case L_NEXTPAGE_ACT:  return "/postman/icons/nextpage.gif";
    case L_NEXTPAGE_INA:  return "/postman/icons/nextpage_ina.gif";
    case L_PREVPAGE_ACT:  return "/postman/icons/prevpage.gif";
    case L_PREVPAGE_INA:  return "/postman/icons/prevpage_ina.gif";
    case L_FIRSTPAGE_ACT: return "/postman/icons/firstpage.gif";
    case L_FIRSTPAGE_INA: return "/postman/icons/firstpage_ina.gif";
    case L_LASTPAGE_ACT:  return "/postman/icons/lastpage.gif";
    case L_LASTPAGE_INA:  return "/postman/icons/lastpage_ina.gif";   
    case L_DUMPFULLMSG:   return "/postman/icons/dumpfullmsg.gif";
    case L_DUMPFULLHEADER:return "/postman/icons/dumpfullheader.gif";    
    case L_NEXTMSG:       return "/postman/icons/nextmsg.gif";
    case L_PREVMSG:       return "/postman/icons/prevmsg.gif";
    case L_NEXTMSG_INA:   return "/postman/icons/nextmsg_ina.gif";
    case L_PREVMSG_INA:   return "/postman/icons/prevmsg_ina.gif";        
    case L_EXPUNGE:       return "/postman/icons/expunge.gif";
    case L_HELP:          return "/postman/icons/help.gif";   
    case L_COMPOSEMSG:    return "/postman/icons/compose.gif";
    case L_MAILBOXES:     return "/postman/icons/showmailboxes.gif";
    case L_CANCEL:        return "/postman/icons/cancel.gif";
    case L_CONFIRM:       return "/postman/icons/confirm.gif";
    case L_REPLYMSG:      return "/postman/icons/reply.gif";
    case L_FORWARDMSG:    return "/postman/icons/forward.gif";
    case L_SHOWOPTIONS:   return "/postman/icons/showoptions.gif";    
    case L_ADDBOOK:       return "/postman/icons/addbook.gif";    
    case L_AB_EDITENTRY:  return "/postman/icons/editentry.gif";
    case L_BACK:          return "/postman/icons/back.gif";
    case L_SAVEADDRESS:   return "/postman/icons/saveaddress.gif";
    case L_INDEXMAILBOX:  return "/postman/icons/index.gif";
    case L_AB_NEWENTRY:   return "/postman/icons/ab_newentry.gif";
    case L_AB_NEWENTRY_S: return "/postman/icons/ab_newentry_small.gif";
    case L_DELNEXTMSG:    return "/postman/icons/paperbox.gif";    
    case L_UNDELNEXTMSG:  return "/postman/icons/unpaperbox.gif";        
    case L_ABOUT:         return "/postman/icons/about.gif";    
    case L_AB_DUMP:       return "/postman/icons/dump.gif";    
    case L_AB_DUMP_S:     return "/postman/icons/dump_small.gif";
    case L_SECURITYPROBLEM:return "/postman/icons/security.gif";        
    default:              return "/postman/icons/unknown.gif";
    }                              
  } 

char *Language::getImageCatala (int WHAT)
  {
  switch (WHAT)
    {
    case L_LOGOUT:        return "/postman/icons/logout.gif";
    case L_NEXTPAGE_ACT:  return "/postman/icons/nextpage.gif";
    case L_NEXTPAGE_INA:  return "/postman/icons/nextpage_ina.gif";
    case L_PREVPAGE_ACT:  return "/postman/icons/prevpage.gif";
    case L_PREVPAGE_INA:  return "/postman/icons/prevpage_ina.gif";
    case L_FIRSTPAGE_ACT: return "/postman/icons/firstpage.gif";
    case L_FIRSTPAGE_INA: return "/postman/icons/firstpage_ina.gif";
    case L_LASTPAGE_ACT:  return "/postman/icons/lastpage.gif";
    case L_LASTPAGE_INA:  return "/postman/icons/lastpage_ina.gif";   
    case L_DUMPFULLMSG:   return "/postman/icons/dumpfullmsg.gif";
    case L_DUMPFULLHEADER:return "/postman/icons/dumpfullheader.gif";    
    case L_NEXTMSG:       return "/postman/icons/nextmsg.gif";
    case L_PREVMSG:       return "/postman/icons/prevmsg.gif";
    case L_NEXTMSG_INA:   return "/postman/icons/nextmsg_ina.gif";
    case L_PREVMSG_INA:   return "/postman/icons/prevmsg_ina.gif";        
    case L_EXPUNGE:       return "/postman/icons/expunge.gif";
    case L_HELP:          return "/postman/icons/help.gif";   
    case L_COMPOSEMSG:    return "/postman/icons/compose.gif";
    case L_MAILBOXES:     return "/postman/icons/showmailboxes.gif";
    case L_CANCEL:        return "/postman/icons/cancel.gif";
    case L_CONFIRM:       return "/postman/icons/confirm.gif";
    case L_REPLYMSG:      return "/postman/icons/reply.gif";
    case L_FORWARDMSG:    return "/postman/icons/forward.gif";
    case L_SHOWOPTIONS:   return "/postman/icons/showoptions.gif";    
    case L_ADDBOOK:       return "/postman/icons/addbook.gif";    
    case L_AB_EDITENTRY:  return "/postman/icons/editentry.gif";
    case L_BACK:          return "/postman/icons/back.gif";
    case L_SAVEADDRESS:   return "/postman/icons/saveaddress.gif";
    case L_INDEXMAILBOX:  return "/postman/icons/index.gif";
    case L_AB_NEWENTRY:   return "/postman/icons/ab_newentry.gif";
    case L_AB_NEWENTRY_S: return "/postman/icons/ab_newentry_small.gif";
    case L_DELNEXTMSG:    return "/postman/icons/paperbox.gif";
    case L_UNDELNEXTMSG:  return "/postman/icons/unpaperbox.gif";    
    case L_ABOUT:         return "/postman/icons/about.gif";
    case L_AB_DUMP:       return "/postman/icons/dump.gif";    
    case L_AB_DUMP_S:     return "/postman/icons/dump_small.gif";
    case L_SECURITYPROBLEM:return "/postman/icons/security.gif";        
    default:              return "/postman/icons/unknown.gif";
    }                              
  } 
  
char *Language::getImageEuskera (int WHAT)
  {
  switch (WHAT)
    {
    case L_LOGOUT:        return "/postman/icons/logout.gif";
    case L_NEXTPAGE_ACT:  return "/postman/icons/nextpage.gif";
    case L_NEXTPAGE_INA:  return "/postman/icons/nextpage_ina.gif";
    case L_PREVPAGE_ACT:  return "/postman/icons/prevpage.gif";
    case L_PREVPAGE_INA:  return "/postman/icons/prevpage_ina.gif";
    case L_FIRSTPAGE_ACT: return "/postman/icons/firstpage.gif";
    case L_FIRSTPAGE_INA: return "/postman/icons/firstpage_ina.gif";
    case L_LASTPAGE_ACT:  return "/postman/icons/lastpage.gif";
    case L_LASTPAGE_INA:  return "/postman/icons/lastpage_ina.gif";   
    case L_DUMPFULLMSG:   return "/postman/icons/dumpfullmsg.gif";
    case L_DUMPFULLHEADER:return "/postman/icons/dumpfullheader.gif";    
    case L_NEXTMSG:       return "/postman/icons/nextmsg.gif";
    case L_PREVMSG:       return "/postman/icons/prevmsg.gif";
    case L_NEXTMSG_INA:   return "/postman/icons/nextmsg_ina.gif";
    case L_PREVMSG_INA:   return "/postman/icons/prevmsg_ina.gif";        
    case L_EXPUNGE:       return "/postman/icons/expunge.gif";
    case L_HELP:          return "/postman/icons/help.gif";   
    case L_COMPOSEMSG:    return "/postman/icons/compose.gif";
    case L_MAILBOXES:     return "/postman/icons/showmailboxes.gif";
    case L_CANCEL:        return "/postman/icons/cancel.gif";
    case L_CONFIRM:       return "/postman/icons/confirm.gif";
    case L_REPLYMSG:      return "/postman/icons/reply.gif";
    case L_FORWARDMSG:    return "/postman/icons/forward.gif";
    case L_SHOWOPTIONS:   return "/postman/icons/showoptions.gif";    
    case L_ADDBOOK:       return "/postman/icons/addbook.gif";    
    case L_AB_EDITENTRY:  return "/postman/icons/editentry.gif";
    case L_BACK:          return "/postman/icons/back.gif";
    case L_SAVEADDRESS:   return "/postman/icons/saveaddress.gif";
    case L_INDEXMAILBOX:  return "/postman/icons/index.gif";
    case L_AB_NEWENTRY:   return "/postman/icons/ab_newentry.gif";
    case L_AB_NEWENTRY_S: return "/postman/icons/ab_newentry_small.gif";
    case L_DELNEXTMSG:    return "/postman/icons/paperbox.gif";    
    case L_UNDELNEXTMSG:  return "/postman/icons/unpaperbox.gif";        
    case L_ABOUT:         return "/postman/icons/about.gif";    
    case L_AB_DUMP:       return "/postman/icons/dump.gif";    
    case L_AB_DUMP_S:     return "/postman/icons/dump_small.gif";
    case L_SECURITYPROBLEM:return "/postman/icons/security.gif";        
    default:              return "/postman/icons/unknown.gif";
    }                              
  } 
  
char *Language::getPageEnglish (int WHAT)
  {
  switch (WHAT)
    {
    case CMD_HELP_LOGIN:         return HELP_ENG_LOGIN;
    case CMD_HELP_INDEXMAILBOX:  return HELP_ENG_INDEXMAILBOX;
    case CMD_HELP_DISPLAYMSG:    return HELP_ENG_DISPLAYMESSAGE;
    case CMD_HELP_SHOWMAILBOXES: return HELP_ENG_SHOWMAILBOXES;
    case CMD_HELP_COMPOSEMSG:    return HELP_ENG_COMPOSEMSG;
    case CMD_HELP_SHOWOPTIONS:   return HELP_ENG_SHOWOPTIONS;    
    case CMD_HELP_ADDBOOK:       return HELP_ENG_ADDBOOK;
    case CMD_HELP_SHOWATTACHS:   return HELP_ENG_SHOWATTACHS;
    case CMD_HELP_ABOUT:         return HELP_ENG_ABOUT;    
    case CMD_HELP_AB_NEWENTRY:   return HELP_ENG_AB_NEWENTRY;    
    case CMD_HELP_AB_EDITENTRY:  return HELP_ENG_AB_EDITENTRY;                                                       
    default:                     return HELP_ENG_LOGIN;
    }                              
  }
 
char *Language::getPageSpanish (int WHAT)
  {
  switch (WHAT)
    {
    case CMD_HELP_LOGIN:         return HELP_SPA_LOGIN;
    case CMD_HELP_INDEXMAILBOX:  return HELP_SPA_INDEXMAILBOX;
    case CMD_HELP_DISPLAYMSG:    return HELP_SPA_DISPLAYMESSAGE;
    case CMD_HELP_SHOWMAILBOXES: return HELP_SPA_SHOWMAILBOXES;
    case CMD_HELP_COMPOSEMSG:    return HELP_SPA_COMPOSEMSG;
    case CMD_HELP_SHOWOPTIONS:   return HELP_SPA_SHOWOPTIONS;    
    case CMD_HELP_ADDBOOK:       return HELP_SPA_ADDBOOK;
    case CMD_HELP_SHOWATTACHS:   return HELP_SPA_SHOWATTACHS;    
    case CMD_HELP_ABOUT:         return HELP_SPA_ABOUT;
    case CMD_HELP_AB_NEWENTRY:   return HELP_SPA_AB_NEWENTRY;    
    case CMD_HELP_AB_EDITENTRY:  return HELP_SPA_AB_EDITENTRY;                                                       
    default:                     return HELP_SPA_LOGIN;
    }                              
  } 

char *Language::getPageCatala (int WHAT)
  {
  switch (WHAT)
    {
    case CMD_HELP_LOGIN:         return HELP_VAL_LOGIN;
    case CMD_HELP_INDEXMAILBOX:  return HELP_VAL_INDEXMAILBOX;
    case CMD_HELP_DISPLAYMSG:    return HELP_VAL_DISPLAYMESSAGE;
    case CMD_HELP_SHOWMAILBOXES: return HELP_VAL_SHOWMAILBOXES;    
    case CMD_HELP_COMPOSEMSG:    return HELP_VAL_COMPOSEMSG;    
    case CMD_HELP_SHOWOPTIONS:   return HELP_VAL_SHOWOPTIONS;    
    case CMD_HELP_ADDBOOK:       return HELP_VAL_ADDBOOK;
    case CMD_HELP_SHOWATTACHS:   return HELP_VAL_SHOWATTACHS;
    case CMD_HELP_ABOUT:         return HELP_VAL_ABOUT;
    case CMD_HELP_AB_NEWENTRY:   return HELP_VAL_AB_NEWENTRY;    
    case CMD_HELP_AB_EDITENTRY:  return HELP_VAL_AB_EDITENTRY;                                                       
    default:                     return HELP_VAL_LOGIN;
    }                              
  }   
  
char *Language::getPageEuskera (int WHAT)
  {
  switch (WHAT)
    {
    case CMD_HELP_LOGIN:         return HELP_EUS_LOGIN;
    case CMD_HELP_INDEXMAILBOX:  return HELP_EUS_INDEXMAILBOX;
    case CMD_HELP_DISPLAYMSG:    return HELP_EUS_DISPLAYMESSAGE;
    case CMD_HELP_SHOWMAILBOXES: return HELP_EUS_SHOWMAILBOXES;
    case CMD_HELP_COMPOSEMSG:    return HELP_EUS_COMPOSEMSG;
    case CMD_HELP_SHOWOPTIONS:   return HELP_EUS_SHOWOPTIONS;
    case CMD_HELP_ADDBOOK:       return HELP_EUS_ADDBOOK;
    case CMD_HELP_SHOWATTACHS:   return HELP_EUS_SHOWATTACHS;
    case CMD_HELP_ABOUT:         return HELP_EUS_ABOUT;
    case CMD_HELP_AB_NEWENTRY:   return HELP_EUS_AB_NEWENTRY;
    case CMD_HELP_AB_EDITENTRY:  return HELP_EUS_AB_EDITENTRY;
    default:                     return HELP_EUS_LOGIN;
    }
  }

 
    
